<?php
namespace app\admin\model;

class BargainOrder extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'bidsNo'       =>'varchar',//竞标编号
        'zxNo'       =>'varchar',//咨询编号
        'infoNo'       =>'varchar',//咨询商品编号
        'bargainNo'       =>'varchar',//议价单号
        'bargain_type'       =>'tinyint',//定价类型 1 专员定价2主管定价
        'sale_price'       =>'decimal',//单价
        'cost_before_price'       =>'decimal',//工艺费
        'cost_after_price'       =>'decimal',//优惠后工艺费
        'before_rate'       =>'decimal',//优惠前毛利率
        'after_rate'       =>'decimal',//议价后毛利率
        'after_price'       =>'decimal',//议价后单价
        'lower_price'       =>'decimal',//
        'adjunct'       =>'varchar',//附件文件地址
        'status'       =>'tinyint',//0待审核 1业务主管审核通过 2 业务驳回  3 业务主管越线通过4取消议价
        'remark'       =>'varchar',//审核备注
        'exam_info'       =>'text',//审核内容
        'is_del'       =>'tinyint',//
        'createrid'       =>'int',//创建人id
        'creater'       =>'varchar',//创建人
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
        'bargain_reason'       =>'varchar',//
        'bargain_remark'       =>'varchar',//议价备注
        'result_info_id'       =>'varchar',//议价原因，对应result_info表的result_code

    ];
}