<?php
namespace app\admin\model;

class CatSpecs extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'specs_id'       =>'bigint',//规格id
        'cat_id'       =>'bigint',//分类规格id
        'is_del'       =>'tinyint',//
        'addtime'       =>'datetime',//
    ];
    protected $createTime='addtime';
    public function cat(){
        return $this->belongsTo(Cat::class,'cat_id','id');
    }
    public function specs(){
        return $this->belongsTo(Specs::class,'specs_id','id')->bind(["spec_name"]);
    }
}