<?php
namespace app\admin\model;

class CgdCaixiao extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'cgdNo'       =>'varchar',//采购单编号
        'bkcode'       =>'varchar',//备库单号
        'wsm_code'       =>'varchar',//仓库编号
        'cgder'       =>'varchar',//采购人
        'cgder_id'       =>'int',//采购人id
        'depart'       =>'varchar',//部门
        'qrdNo'       =>'varchar',//销售单号
        'spuCode'       =>'varchar',//商品spuCode
        'good_name'       =>'varchar',//商品名称
        'skuCode'       =>'varchar',//商品skuCode
        'good_num'       =>'int',//商品数量
        'good_price'       =>'decimal',//采购数量
        'cat_name'       =>'varchar',//分类
        'total_fee'       =>'decimal',//采购金额
        'origin_total'       =>'decimal',//原采购额
        'pakage_fee'       =>'decimal',//包装费
        'open_fee'       =>'decimal',//开模费
        'cert_fee'       =>'decimal',//证书费
        'delivery_fee'       =>'decimal',//物流费
        'mark_fee'       =>'decimal',//加标费
        'teach_fee'       =>'decimal',//工艺费
        'nake_fee'       =>'decimal',//裸价
        'demo_fee'       =>'decimal',//打样费
        'weight'       =>'decimal',//重量
        'diff_weight'       =>'decimal',//工差重量
        'diff_fee'       =>'decimal',//工差费
        'gold_price'       =>'decimal',//金价
        'companyNo'       =>'varchar',//业务公司编号
        'companyName'       =>'varchar',//业务公司名称
        'supplierNo'       =>'varchar',//供应商编号
        'supplier_name'       =>'varchar',//供应商名称
        'send_num'       =>'int',//已发货
        'wsend_num'       =>'int',//未发货
        'status'       =>'tinyint',//状态
        'order_type'       =>'tinyint',//订单类型
        'order_source'       =>'tinyint',//订单来源
        'good_type'       =>'tinyint',//商品类型
        'last_time'       =>'varchar',//到货时间
        'bktime'       =>'varchar',//备库时间
        'bkcreater'       =>'varchar',//备库人员
        'noble_metal'       =>'varchar',//贵金属种类
        'brand'       =>'varchar',//分类
        'unit'       =>'varchar',//单位
        'cost_desc'       =>'varchar',//工艺说明
        'noble_weight'       =>'varchar',//贵金属重量
        'tax'       =>'varchar',//商品税点
        'is_stock'       =>'varchar',//是否库存品
        'delivery_day'       =>'varchar',//物流时间
        'lead_time'       =>'varchar',//供货周期
        'is_diff'       =>'varchar',//是否有工差
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
        'send_type'       =>'varchar',//发货方式
        'send_status'       =>'varchar',//发货状态
        'th_num'       =>'int',//退货数量
        'th_fee'       =>'varchar',//退货金额
        'supplier_persion'       =>'varchar',//供应商负责人
        'supplier_persionid'       =>'int',//供应商负责人
        'pay_id'       =>'int',//支付通道
        'oldCode'       =>'varchar',//原单号
        'supplier_origin_price'       =>'decimal',//供应商采购成本
        'cgd_supplier_code'       =>'varchar',//采购供应商编号
        'cgd_supplier_name'       =>'varchar',//采购供应商名称
        'cgd_apply_id'       =>'int',//竞单人
        'cgd_apply_name'       =>'varchar',//竞单人

    ];
}