<?php
namespace app\admin\model;

class Consult extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'zxNo'       =>'varchar',//咨询单号
        'zxtime'       =>'datetime',//咨询日期
        'zxtype'       =>'varchar',//咨询类型
        'zx_type'       =>'int',//咨询类型序号 1线上咨询贵金属2 线下咨询贵金属3其他
        'gysname'       =>'varchar',//供应商名称
        'cpzxNo'       =>'varchar',//2产品咨询单号
        'zxuniq'       =>'varchar',//咨询单唯一识别码
        'khname'       =>'varchar',//客户名称映射
        'khNo'       =>'varchar',//客户编码
        'cfNo'       =>'varchar',//采反单号
        'salesman'       =>'varchar',//业务员
        'depart'       =>'varchar',//部门
        'saler'       =>'varchar',//采购员
        'proname'       =>'varchar',//项目名称
        'procode'       =>'varchar',//项目编号
        'schema_name'       =>'varchar',//方案名称
        'cpName'       =>'varchar',//4产品名称
        'cpNo'       =>'varchar',//5产品编码
        'brand'       =>'varchar',//6品牌
        'cat_f'       =>'varchar',//7一级分类
        'cat_s'       =>'varchar',//8二级分类
        'cat_id'       =>'bigint',//分类id
        'wsm_type'       =>'varchar',//9库房性质
        'model'       =>'varchar',//12型号
        'material'       =>'varchar',//13材质
        'color'       =>'varchar',//14颜色
        'unit'       =>'varchar',//15单位
        'specs'       =>'varchar',//16规格
        'desc'       =>'varchar',//17工艺说明
        'metals'       =>'varchar',//18贵金属种类
        'is_diff'       =>'varchar',//19是否有公差
        'gold_price'       =>'decimal',//当日金价
        'weight'       =>'decimal',//商品重量
        'gysNo'       =>'varchar',//21供应商编码
        'delivery_day'       =>'decimal',//快递天数
        'work_day'       =>'decimal',//工期
        'expiry_day'       =>'decimal',//有效期
        'min_num'       =>'decimal',//最小起订量
        'delivery_way'       =>'varchar',//物流方法
        'package_fee'       =>'decimal',//包装费
        'cert_fee'       =>'decimal',//证书费
        'mark_fee'       =>'decimal',//加标费
        'open_fee'       =>'decimal',//开模费
        'demo_fee'       =>'decimal',//打样费
        'cost_fee'       =>'decimal',//工艺费
        'delivery_fee'       =>'decimal',//邮费
        'bare_fee'       =>'decimal',//裸价
        'total_fee'       =>'decimal',//成本合计
        'pay_way'       =>'varchar',//付款方法
        'tax'       =>'varchar',//40税点
        'addr'       =>'varchar',//44产品所在地
        'sale_craft'       =>'decimal',//销售工艺费
        'sale_fee'       =>'decimal',//单价定价
        'cgd_remark'       =>'longtext',//采购备注
        'num'       =>'decimal',//需求数量
        'last_price'       =>'decimal',//最终定价
        'status'       =>'int',//状态
        'is_del'       =>'int',//
        'addtime'       =>'datetime',//创建时间
        'updatetime'       =>'datetime',//修改时间

    ];
}