<?php
namespace app\admin\model;

class ConsultInfo extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'infoNo'       =>'varchar',//咨询单详情编号
        'zxNo'       =>'varchar',//咨询单编号
        'spuCode'       =>'varchar',//商品编号
        'good_name'       =>'varchar',//商品名称
        'good_img'       =>'varchar',//商品图片
        'cat_id'       =>'int',//商品分类id
        'unit'       =>'varchar',//单位
        'brand_id'       =>'int',//品牌id
        'model'       =>'varchar',//型号
        'specinfo'       =>'text',//规格配置
        'color'       =>'varchar',//颜色
        'material'       =>'varchar',//材质
        'cost_desc'       =>'varchar',//工艺说明
        'is_addrs'       =>'tinyint',//是否多地
        'is_custom'       =>'tinyint',//是否定制
        'arrival_time'       =>'datetime',//
        'metal_id'       =>'int',//贵金属种类 1 18k 2 24k 3 白银
        'config'       =>'varchar',//配置要求
        'other_config'       =>'varchar',//其他配置
        'specs_weight'       =>'decimal',//克重
        'total_weight'       =>'decimal',//总克重
        'gold_price'       =>'decimal',//金价
        'is_gold_price'       =>'tinyint',//是否使用实时金价
        'budget_price'       =>'decimal',//预算单价
        'num'       =>'int',//购买数量
        'use_desc'       =>'varchar',//使用用途
        'remark'       =>'varchar',//备注 0 待竞标1 发起竞标 2待确认商品3 竞标完成
        'bargain_status'       =>'tinyint',//竞标状态 0 未再次竞标1 再次竞标
        'bargain_code'       =>'varchar',//再次竞标编号
        'bargain_num'       =>'int',//竞标次数
        'status'       =>'tinyint',//状态 ；1招标进行中 2 招标已结束  3 等待议价结果   4.确认商品  5成功转单 6 取消转单 7 招标已暂停,0待招标
        'pgNo'       =>'varchar',//项目阶梯编号
        'is_del'       =>'tinyint',//
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
        'enclosure_file'       =>'varchar',//附件文件链接

    ];
}