<?php
namespace app\admin\model;

class ConsultTemp extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'bidNo'       =>'varchar',//返亏商品编号
        'spuCode'       =>'varchar',//商品编号
        'good_name'       =>'varchar',//商品名称
        'brand_id'       =>'bigint',//品牌id
        'cat_id'       =>'bigint',//分类id
        'specinfo'       =>'text',//规格配置
        'model'       =>'varchar',//型号
        'material'       =>'varchar',//材质
        'color'       =>'varchar',//颜色
        'unit_id'       =>'int',//单位id
        'cost_desc'       =>'varchar',//工艺说明
        'work_day'       =>'int',//工期
        'delivery_day'       =>'int',//物流时间
        'good_img'       =>'text',//商品图片
        'expire_day'       =>'int',//有效时间
        'origin_place'       =>'varchar',//产地
        'companyNo'       =>'varchar',//业务公司
        'companyName'       =>'varchar',//业务公司
        'supplierNo'       =>'varchar',//供应商编号
        'supplierName'       =>'varchar',//供应商名称
        'pay_way'       =>'tinyint',//付款方式
        'tax'       =>'varchar',//税点
        'send_way'       =>'tinyint',//发货方式1自提2包邮
        'metal_id'       =>'tinyint',//贵金属材质 118k 2 24k 3 白银
        'is_gold_price'       =>'tinyint',//是否使用实时金价
        'config'       =>'varchar',//配置要求
        'other_config'       =>'varchar',//其他配置
        'weight'       =>'double',//商品重量
        'is_diff'       =>'tinyint',//是否有工差
        'demo_fee'       =>'decimal',//打样费
        'delivery_fee'       =>'decimal',//物流费
        'open_fee'       =>'decimal',//开模费
        'pakge_fee'       =>'decimal',//包装费
        'nake_fee'       =>'decimal',//产品裸价
        'mark_fee'       =>'decimal',//加标费
        'cert_fee'       =>'decimal',//证书费
        'cost_fee'       =>'decimal',//工艺费
        'gold_price'       =>'decimal',//实时金价
        'sale_cost_fee'       =>'decimal',//销售工艺费(系统售价工艺费)
        'origin_cost_fee'       =>'decimal',//初始工艺费
        'good_num'       =>'int',//组合每份数量
        'total_fee'       =>'decimal',//成本合计初始价格
        'supply_area'       =>'tinyint',//供货区域 1全国 2 全国除偏远
        'remark'       =>'varchar',//采购备注
        'sale_price'       =>'decimal',//最终售价
        'origin_price'       =>'decimal',//最初价格
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
        'delete_time'       =>'datetime',//
        'good_weight'       =>'decimal',//商品重量
        'delivery_place'       =>'varchar',//发货地
        'cgder'       =>'varchar',//采购员(供应商的负责人)
        'cgderid'       =>'int',//采购员id
        'supplier_origin_price'       =>'decimal',//供应商采购成本
        'cgd_supplier_code'       =>'varchar',//采购供应商编号
        'cgd_supplier_name'       =>'varchar',//采购供应商名称
        'cgd_apply_id'       =>'int',//竞单人
        'cgd_apply_name'       =>'varchar',//竞单人

    ];
}