<?php
namespace app\admin\model;

class DataShare extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'int',//
        'title'       =>'varchar',//共享规则标题
        'menu_ids'       =>'text',//共享的菜单id,多个以,分割
        'source_uid'       =>'int',//数据源用户id
        'source_data_group_id'       =>'int',//数据源用户组id
        'uid'       =>'int',//用户id
        'data_group_id'       =>'int',//用户组id
        'type'       =>'tinyint',//类型,1读写,2只读
        'remark'       =>'varchar',//备注
        'is_del'       =>'tinyint',//是否删除,0未删除,1删除
        'status'       =>'tinyint',//状态,1启用,0禁用
        'createrid'       =>'int',//创建人id
        'creater'       =>'varchar',//创建人
        'addtime'       =>'datetime',//添加时间
        'updatetime'       =>'datetime',//修改时间
    ];
}