<?php
namespace app\admin\model;

class ExecRelaComNo extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'name'       =>'varchar',//脚本名称
        'start'       =>'datetime',//起始时间
        'end'       =>'datetime',//结束时间
        'apply_name'       =>'varchar',//申请人名称
        'apply_id'       =>'int',//申请人id
        'code'       =>'varchar',//编码名称，对应于脚本中的方法名
        'exec_sql'       =>'text',//执行sql
        'down_url'       =>'varchar',//下载链接
        'status'       =>'tinyint',//状态:0执行出错,1待执行2已完成
        'remark'       =>'varchar',//备注
        'type'       =>'tinyint',//类型,1财务报表,2前端预约导出报表,3库存报表
        'relaComNo'       =>'varchar',//业务公司编码
        'relaComName'       =>'varchar',//业务公司名称
        'expiretime'       =>'datetime',//失效时间
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//

    ];
}