<?php
namespace app\admin\model;

class ExpressData extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'order_out_id'       =>'int',//发货单ID
        'post_code'       =>'varchar',//快递编号
        'post_name'       =>'varchar',//快递公司
        'post_express'       =>'varchar',//快递公司缩写
        'post_logo'       =>'varchar',//快递logo
        'post_data'       =>'text',//快递信息主体
        'contactor'       =>'varchar',//联系人
        'mobile'       =>'varchar',//联系电话
        'status'       =>'tinyint',//快递状态,0物流单号暂无结果,3在途,4揽件,5疑难,6签收,7退签,8派件,9退回
        'remark'       =>'varchar',//备注
        'crontab_num'       =>'int',//执行失败次数超过三次不执行
        'addtime'       =>'datetime',//新建时间
        'updatetime'       =>'datetime',//更新时间

    ];
}