<?php
namespace app\admin\model;

class GoodPlatform extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'spuCode'       =>'varchar',//
        'skuCode'       =>'varchar',//
        'platform_code'       =>'varchar',//平台编号
        'online_reason'       =>'varchar',//上线原因
        'online_remark'       =>'varchar',//上线备注
        'is_compliance'       =>'tinyint',//是否合规0未处理 1合规2不合规
        'compliance_remark'       =>'varchar',//备注
        'plat_code'       =>'varchar',//业务平台编码
        'exam_status'       =>'tinyint',//审核状态:0待提交，1待完善成本，2待审核，3上线成功，4驳回上线请求 5下线状态。
        'online_time'       =>'datetime',//上线日期
        'is_fixed'       =>'tinyint',//销售是否一口价/实时金价
        'market_url'       =>'varchar',//
        'is_online'       =>'tinyint',//是否已上线
        'status'       =>'tinyint',//
        'is_del'       =>'tinyint',//
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
        'creater'       =>'varchar',//
        'createrid'       =>'int',//

    ];
}