<?php
namespace app\admin\model;

class GoodStock extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'project_code'       =>'varchar',//锁定来源项目code
        'spuCode'       =>'varchar',//商品spuCode
        'wsm_code'       =>'varchar',//仓库code
        'wait_in_stock'       =>'int',//待入库存
        'wait_out_stock'       =>'int',//待出库存
        'usable_stock'       =>'int',//可用库存 当前-待出
        'intra_stock'       =>'int',//在途库存
        'total_stock'       =>'int',//当前库存
        'status'       =>'int',//商品所在仓库状态 1 正常状态 2 锁定状态
        'is_del'       =>'int',//是否删除
        'warn_stock'       =>'int',//预警库存
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
    ];
    protected $createTime = 'addtime';
    protected $updateTime = 'updatetime';
}