<?php
namespace app\admin\model;

use app\user\model\TaxCategory;use think\model\concern\SoftDelete;
class GoodTax extends Base
{
    use SoftDelete;
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'spuCode'  =>'varchar',//
        'tax_id'  =>'int',//进销项类目id
        'tax'  =>'varchar',//进项税率
        'companyNo'  =>'varchar',//业务公司
        'open_type'  =>'tinyint',//开票类型
        'inv_good_name'  =>'varchar',//开票商品名称
        "out_tax"=>"varchar",
        "out_tax_id"=>"int",
        "cgd_tax_id"=>"int",
        "cgd_tax"=>"varchar",
        "status"=>"int",
        'createrid'  =>'int',//
        'creater'  =>'varchar',//
        'createTime'  =>'datetime',//
        'updateTime'  =>'datetime',//
        'delete_time'  =>'datetime',//
       ];
    protected $createTime='createTime';
    protected $updateTime='updateTime';
    protected $deleteTime='delete_time';
    //销项税目
    public function outCategory(){
        return $this->hasOne(TaxCategory::class,"id",'out_tax_id')
        ->bind(["out_tax_name"=>"cat_name","out_tax_short_name"=>"short_name","out_tax_merge_code"=>"merge_code","out_tax_cat_code"=>"cat_code","out_bind_tax"=>"tax"]);
    }
    //进项税目
    public function inCategory(){
        return $this->hasOne(TaxCategory::class,'id','tax_id')
        ->bind(["in_tax_name"=>"cat_name","in_tax_short_name"=>"short_name","in_tax_merge_code"=>"merge_code","in_tax_cat_code"=>"cat_code","in_bind_tax"=>"tax","addTax"=>"addtax","sumitem"]);
    }
    //源头供应商税目
    public function cgdCategory(){
        return $this->hasOne(TaxCategory::class,'id','cgd_tax_id')
        ->bind(['cgd_tax_name'=>'cat_name','cgd_tax_short_name'=>'short_name','cgd_tax_merge_code'=>'merge_code','cgd_tax_cat_code'=>'cat_code','cgd_bind_tax'=>'tax']);
    }
}