<?php
namespace app\admin\model;

class OrderBack extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'int',//id
        'thNo'       =>'varchar',//退货编码
        'orderCode'       =>'varchar',//销售单编号
        'outCode'       =>'varchar',//出库单编号
        'order_type'       =>'int',//订单类型1销售2咨询
        'returnCode'       =>'varchar',//售后申请单编号
        'good_code'       =>'varchar',//商品属性编码
        'good_name'       =>'varchar',//商品名称
        'return_wsm'       =>'varchar',//退货仓库
        'return_msg'       =>'varchar',//退货原因
        'return_num'       =>'int',//退货数量
        'good_price'       =>'decimal',//商品单价
        'total_fee'       =>'decimal',//退货总价
        'platform_id'       =>'int',//平台id
        'normal_num'       =>'int',//正常数量
        'received_num'       =>'int',//收货数量
        'contactor'       =>'varchar',//收货人
        'mobile'       =>'varchar',//收货联系方式
        'addr'       =>'varchar',//地址
        'addr_code'       =>'varchar',//地址code
        'return_code'       =>'varchar',//退货原因
        'post_fee'       =>'decimal',//快递费
        'post_code'       =>'varchar',//快递编号
        'post_company'       =>'varchar',//快递公司
        'customer_code'       =>'varchar',//客户编码
        'customer_name'       =>'varchar',//客户名称
        'can_sell_wsm'       =>'varchar',//可销售入库仓库
        'can_sell_num'       =>'int',//可销售入库数量
        'defective_wsm'       =>'varchar',//次品入库仓库
        'defective_num'       =>'int',//次品入库数量
        'loss_num'       =>'int',//丢失数量
        'status_remark'       =>'varchar',//审核备注
        'remark'       =>'varchar',//其他备注
        'status'       =>'int',//状态,0待申请,1待验收,2待验收审核,3待业务审核,4完成退货
        'apply_name'       =>'varchar',//创建人名称
        'apply_id'       =>'int',//创建人
        'cgder'       =>'varchar',//采购人
        'cgderid'       =>'int',//采购人id
        'person_id'       =>'int',//
        'person'       =>'varchar',//
        'is_del'       =>'int',//是否删除
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
        'supplierNo'       =>'varchar',//供应商编码(对应于商品表中的供应商)
        'supplierName'       =>'varchar',//供应商名称(对应于商品表中的供应商)
        'companyNo'       =>'varchar',//业务公司编码(对应于销售表sale中的supplierNo)
        'companyName'       =>'varchar',//业务公司名称(对应于销售表sale中的supplierNo)

    ];
}