<?php
namespace app\admin\model;

class OrderOutChild extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'outChildCode'       =>'varchar',//发货工单号
        'orderCode'       =>'varchar',//确认单号(订单号)
        'outCode'       =>'varchar',//发货单号
        'companyNo'       =>'varchar',//业务公司编码
        'companyName'       =>'varchar',//业务公司名称
        'customer_code'       =>'varchar',//客户编码
        'customer_name'       =>'varchar',//客户名称
        'supplierNo'       =>'varchar',//供应商编码
        'supplierName'       =>'varchar',//供应商名称
        'spuCode'       =>'varchar',//商品成本编码
        'skuCode'       =>'varchar',//商品上线编码
        'good_name'       =>'varchar',//商品名称
        'order_type'       =>'tinyint',//商品类型:1备库,2非库存,3咨询商品,4报备商品
        'order_source'       =>'tinyint',//订单来源:1直接下单,2咨询,3项目,4平台,5有赞,6售后补换货,7报备转单,8支付渠道
        'num'       =>'int',//数量
        'wsm_code'       =>'varchar',//仓库编码
        'apply_id'       =>'int',//申请人id
        'apply_name'       =>'varchar',//申请人名称
        'addrid'       =>'int',//地址id
        'post_name'       =>'varchar',//物流公司
        'post_code'       =>'varchar',//物流单号
        'post_fee'       =>'decimal',//物流费
        'status'       =>'tinyint',//状态:1待发货,2发货完成,3已收货,4已全部退货,5已取消
        'is_del'       =>'tinyint',//是否删除
        'sendtime'       =>'varchar',//发货时间
        'addtime'       =>'datetime',//新建时间
        'updatetime'       =>'datetime',//更新时间

    ];
}