<?php
namespace app\admin\model;

class OrderReturn extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'returnCode'       =>'varchar',//售后申请单
        'order_type'       =>'varchar',//订单类型 1 销售单2咨询单
        'apply_id'       =>'int',//申请人id
        'apply_name'       =>'varchar',//申请人名称
        'supplierNo'       =>'varchar',//供应商编码(对应于商品表中的供应商)
        'supplierName'       =>'varchar',//供应商名称(对应于商品表中的供应商)
        'cgder'       =>'varchar',//采购员
        'cgderid'       =>'int',//采购员
        'person'       =>'varchar',//采购负责人
        'person_id'       =>'int',//采购负责人
        'outCode'       =>'varchar',//出库单
        'is_receive'       =>'tinyint',//是否收到货
        'error_code'       =>'varchar',//异常原因
        'total_num'       =>'int',//总数量
        'error_num'       =>'int',//异常数量
        'error_msg'       =>'varchar',//
        'error_img'       =>'varchar',//异常图片
        'error_remark'       =>'varchar',//异常备注
        'except_code'       =>'varchar',//客户意愿code
        'orderCode'       =>'varchar',//订单code
        'good_code'       =>'varchar',//商品code
        'good_name'       =>'varchar',//商品名称
        'customer_code'       =>'varchar',//客户code
        'customer_name'       =>'varchar',//客户名称
        'companyNo'       =>'varchar',//业务公司编码(对应于销售表sale中的supplierNo)
        'companyName'       =>'varchar',//业务公司名称(对应于销售表sale中的supplierNo)
        'is_post'       =>'tinyint',//是否承担物流费
        'is_th'       =>'varchar',//供应商是否退货
        'return_tag'       =>'tinyint',//退回1供应商2业务企业 
        'status'       =>'tinyint',//申请单状态:1待业务审核,2待采购审核,3待设置仓库(该节点废除),4待客户退货(已收到货才有),5售后已完成,6业务已驳回,7采购已驳回(该节点废除),8申请已取消,9供应商审核,10业务公司修改待供应商确认,11待设置退货工单(已收到货才有),12待库管收货(已收到货才有)
        'is_del'       =>'int',//
        'remark'       =>'varchar',//审核备注
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
        'is_reissue'       =>'tinyint',//是否完成补发货:0尚未完成,1已完成
        'newOrderCode'       =>'varchar',//售后完成后新的销售订单号
        'loop_total'       =>'tinyint',//状态从10(业务公司修改待供应商确认)到2(待采购审核)的循环次数

    ];
}