<?php
namespace app\admin\model;

class OrderReturnChild extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'returnCode'       =>'varchar',//售后申请单号
        'orderCode'       =>'varchar',//销售单编号
        'outCode'       =>'varchar',//发货单号
        'order_out_child_status'       =>'tinyint',//提退货时发货工单的状态
        'outChildCode'       =>'varchar',//发货工单号
        'send_wsm_code'       =>'varchar',//发货仓库编码
        'send_num'       =>'int',//发货数量
        'return_num'       =>'int',//退货数量
        'return_wsm_code'       =>'varchar',//退货仓库编码
        'can_sell_num'       =>'int',//销售仓入库数量
        'defective_num'       =>'int',//次品仓入库数量
        'loss_num'       =>'int',//丢失数量
        'apply_id'       =>'int',//申请人id
        'apply_name'       =>'varchar',//申请人名称
        'status'       =>'tinyint',//状态:1待收货,2已收货
        'is_del'       =>'tinyint',//是否删除,0未删除,1已删除
        'remark'       =>'varchar',//备注
        'addtime'       =>'datetime',//创建时间
        'updatetime'       =>'datetime',//更新时间
        'record'       =>'text',//标记
        'type'       =>'tinyint',//类型:1销售仓退货工单,2次品仓退货工单
        'return_num_total'       =>'int',//退货数量汇总(如果type==1，取can_sell_num，如果type==2，取defective_num)

    ];
}