<?php
namespace app\admin\model;

class Platform extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'int',//
        'platform_code'       =>'varchar',//平台编码
        'platform_name'       =>'varchar',//平台名称
        'platform_type'       =>'tinyint',//平台性质,0内部使用,1对接有赞平台
        'is_select_pay_rate'       =>'tinyint',//是否开启支付渠道,1开启,0不开启
        'pay_title'       =>'varchar',//支付渠道
        'use_type'       =>'tinyint',//对接类型 0 无 1 toB 2 ToC
        'desc'       =>'double',//权重
        'createrid'       =>'int',//创建人id
        'creater'       =>'varchar',//创建人
        'status'       =>'tinyint',//是否使用
        'is_del'       =>'tinyint',//是否删除
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
    ];
    protected $createTime='addtime';
    protected $updateTime='updatetime';
    public function platChannel(){
        return $this->hasMany(PlatformChannel::class,'platform_id','id')->where(["is_del"=>0])->order(['weight' => 'desc'])->bind(['channel_name','companyName','companyNo']);
    }
}