<?php
namespace app\admin\model;

class PlatformChannel extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'platform_id'       =>'int',//平台id
        'channel_id'       =>'int',//渠道id
        'weight'       =>'double',//排序权重
        'apply_id'       =>'int',//
        'apply_name'       =>'varchar',//
        'is_del'       =>'tinyint',//
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
    ];
    protected $createTime='addtime';
    protected $updateTime='updatetime';
    public function channel(){
        return $this->belongsTo(Channel::class,'channel_id','id')->where(['is_del'=>0])->bind(['channel_name',"companyName","companyNo"]);
    }
}