<?php
namespace app\admin\model;

class PlatformSource extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'int',//
        'platform_id'       =>'int',//所属平台id
        'source'       =>'varchar',//销售渠道
        'remark'       =>'varchar',//备注
        'apply_name'       =>'varchar',//
        'apply_id'       =>'int',//
        'is_del'       =>'tinyint',//是否删除，1删除，0未删除
        'addtime'       =>'datetime',//添加时间
        'updatetime'       =>'datetime',//修改时间
    ];
    protected $createTime='addtime';
    protected $updateTime='updatetime';
    public function platform(){
        return $this->belongsTo(Platform::class,'platform_id','id')->bind(['paltform_name']);
    }
}