<?php
namespace app\admin\model;

class PlatformYouzan extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//主键
        'platform_id'       =>'int',//平台id
        'online_reason'       =>'varchar',//上线原因
        'online_remark'       =>'varchar',//上线备注
        'plat_code'       =>'varchar',//平台商品编码(有赞规格id)
        'spuCode'       =>'varchar',//
        'skuCode'       =>'varchar',//
        'yz_cat_id'       =>'int',//有赞分类id
        'is_support_barter'       =>'tinyint',//是否可退货，1支持，0不支持
        'sale_price'       =>'decimal',//系统售价
        'cost_fee'       =>'decimal',//贵金属工艺费
        'final_price'       =>'decimal',//最终售价
        'start_sale_num'       =>'int',//有赞商品起售数
        'exam_status'       =>'tinyint',//状态:0待产品审核，1审核通过待处理，2审核驳回，6上线成功，7上线失败，8已下线
        'reject_reason'       =>'varchar',//驳回原因
        'offline_fail_reason'       =>'varchar',//上线失败原因
        'online_time'       =>'datetime',//上线时间
        'good_ladder_id'       =>'int',//商品阶梯id
        'post_fee'       =>'decimal',//运费
        'desc'       =>'text',//商品描述
        'market_url'       =>'varchar',//
        'offline_remark'       =>'varchar',//下线备注
        'offline_reason_id'       =>'varchar',//下线原因,对应与result表的编码
        'tags'       =>'varchar',//有赞标签，多个以,分割，空表示不限制
        'is_del'       =>'tinyint',//是否删除，0未删除，1已删除
        'createrid'       =>'int',//创建人id
        'creater'       =>'varchar',//创建人
        'updaterid'       =>'int',//更新人id
        'updater'       =>'varchar',//更新人
        'addtime'       =>'datetime',//添加时间
        'updatetime'       =>'datetime',//更新时间
        'distribution'       =>'varchar',//支持的配送方式:1快递,2同城配送,3到店自提

    ];
}