<?php
namespace app\admin\model;

class ProcessWait extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'int',//
        'order_type'       =>'varchar',//订单类型(流程编码)
        'order_code'       =>'varchar',//订单编号
        'order_id'       =>'int',//订单id
        'order_status'       =>'tinyint',//订单原状态(貌似用不上，暂时废弃)
        'wait_id'       =>'int',//待操作人(指定某个人收到该条消息，目前只有发货单存在这种情况)
        'wait_name'       =>'varchar',//待操作人名称(指定某个人收到该条消息，目前只有发货单存在这种情况)
        'action_uid'       =>'int',//操作人id
        'action_name'       =>'varchar',//操作人
        'action_uid_finally'       =>'int',//操作人id(最新的操作人id)
        'action_name_finally'       =>'varchar',//操作人(最新的操作人)
        'roleid'       =>'text',//角色id
        'handle_user_list'       =>'varchar',//当前待处理人的uid集合
        'status'       =>'tinyint',//状态 1尚未处理(待办),2已经处理(已办),3中断
        'order_process'       =>'tinyint',//订单待办状态(节点值)
        'order_process_finally'       =>'tinyint',//订单最终状态(最新的节点值)
        'addtime'       =>'datetime',//创建时间
        'updatetime'       =>'datetime',//修改时间

    ];
}