<?php
namespace app\admin\model;

class Project extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'projectNo'       =>'varchar',//项目编号
        'project_name'       =>'varchar',//
        'platform_id'       =>'int',//平台id
        'khNo'       =>'varchar',//客户编码
        'companyNo'       =>'varchar',//销售企业编号
        'budget_total'       =>'decimal',//项目预算
        'use_desc'       =>'varchar',//项目用途
        'low_rate'       =>'decimal',//最低毛利率
        'createrid'       =>'int',//创建人id
        'creater'       =>'varchar',//创建人
        'saleman'       =>'varchar',//业务员
        'pay_id'       =>'int',//支付渠道id 默认0 无渠道 
        'arrtime'       =>'varchar',//
        'endtime'       =>'varchar',//
        'saleuid'       =>'int',//业务员id
        'status'       =>'tinyint',//状态,1待商品反馈,2待客户选择商品,3待项目方案制定,4待方案选择,5项目待下单,6项目已结束
        'is_del'       =>'tinyint',//
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//

    ];
}