<?php
namespace app\admin\model;

class PurcheaseChangeSupplierLog extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'int',//主键
        'cgdNo'       =>'varchar',//采购单号
        'cgder_id_old'       =>'int',//采购员id(修改前)
        'cgder_id'       =>'int',//采购员id(修改后)
        'cgder_old'       =>'varchar',//采购员(修改前)
        'cgder'       =>'varchar',//采购员(修改后)
        'supplierNo_old'       =>'varchar',//供应商编码(修改前)
        'supplierNo'       =>'varchar',//供应商编码(修改后)
        'supplier_name_old'       =>'varchar',//供应商名称(修改前)
        'supplier_name'       =>'varchar',//供应商名称(修改后)
        'wsm_code_old'       =>'varchar',//仓库编码(修改前)
        'wsm_code'       =>'varchar',//仓库编码(修改后)
        'wsm_name_old'       =>'varchar',//仓库名称(修改前)
        'wsm_name'       =>'varchar',//仓库名称(修改后)
        'status'       =>'tinyint',//状态
        'remark'       =>'varchar',//备注
        'is_del'       =>'tinyint',//是否删除，0不是，1是
        'addtime'       =>'datetime',//添加时间
        'updatetime'       =>'datetime',//修改时间
        'creater_id'       =>'int',//创建人id
        'creater'       =>'varchar',//创建人

    ];
}