<?php
namespace app\admin\model;

class PurcheaseDiff extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'cgdNo'       =>'varchar',//采购单号
        'apply_id'       =>'int',//申请人id
        'apply_name'       =>'varchar',//申请人名称
        'good_code'       =>'varchar',//商品编号
        'good_kode'       =>'varchar',//商品code
        'good_name'       =>'varchar',//商品名称
        'good_weight'       =>'decimal',//商品重量
        'good_num'       =>'int',//商品数量
        'sale_price'       =>'decimal',//单价
        'diff_weight'       =>'decimal',//重量工差
        'diff_price'       =>'decimal',//金额工差
        'gold_price'       =>'decimal',//实时金价
        'companyName'       =>'varchar',//业务公司名称
        'companyNo'       =>'varchar',//业务公司编号
        'supplierNo'       =>'varchar',//供应商编号
        'supplierName'       =>'varchar',//供应商名称
        'status'       =>'int',//审核状态
        'remark'       =>'varchar',//审核备注
        'is_del'       =>'int',//是否删除
        'addtime'       =>'datetime',//添加时间
        'updatetime'       =>'datetime',//更新时间

    ];
}