<?php
namespace app\admin\model;

class PurcheaseFeedback extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'bkcode'       =>'varchar',//申请单号
        'wsm_type'       =>'tinyint',//仓库类型 1系统仓2虚拟仓3自建仓
        'warehouse'       =>'varchar',//入货仓库
        'num'       =>'int',//采购数量上限
        'expecttime'       =>'datetime',//预计入库时间
        'supplier'       =>'varchar',//供货商
        'good_price'       =>'decimal',//采购单价
        'pakge_fee'       =>'decimal',//包装费
        'cert_fee'       =>'decimal',//证书费
        'open_fee'       =>'decimal',//开模费
        'delivery_fee'       =>'decimal',//物流覅
        'mark_fee'       =>'decimal',//加标费
        'teach_fee'       =>'decimal',//工艺费
        'nake_fee'       =>'decimal',//裸价费
        'demo_fee'       =>'decimal',//打样费
        'remark'       =>'varchar',//反馈备注
        'weight'       =>'decimal',//贵金属重量
        'diff_weight'       =>'decimal',//误差重量
        'diff_price'       =>'decimal',//工差金额
        'purchaser'       =>'varchar',//采购员
        'purchaser_id'       =>'bigint',//采购员id
        'status'       =>'int',//状态0未确定 1采用2未采用
        'is_del'       =>'int',//是否删除
        'addtime'       =>'datetime',//新建时间
        'updatetime'       =>'datetime',//更新时间

    ];
}