<?php
namespace app\admin\model;

class PurcheaseIn extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'wsm_in_code'       =>'varchar',//入库单编号
        'cgdNo'       =>'varchar',//采购单单号
        'bnCode'       =>'varchar',//bn编号
        'wsm_code'       =>'varchar',//入货仓库
        'wsm_reaper'       =>'varchar',//入货仓库收货人
        'send_num'       =>'int',//发货数量
        'post_company'       =>'varchar',//物流公司
        'post_code'       =>'varchar',//物流编号
        'post_fee'       =>'decimal',//物流费
        'sendtime'       =>'varchar',//发货时间
        'apply_id'       =>'bigint',//申请人id
        'apply_name'       =>'varchar',//申请人名称
        'wsm_num'       =>'int',//入库数量
        'error_num'       =>'int',//异常数量
        'sendtype'       =>'tinyint',//发货方式,1自提，2供应商包邮
        'wait_num'       =>'int',//总入库数量
        'remark'       =>'varchar',//备注
        'is_th'       =>'int',//是否有退货
        'check_name'       =>'varchar',//验货人名称
        'checkid'       =>'int',//验货人id
        'status'       =>'int',//入库单状态:0待发货,1待库管验货,2待仓库主管审核,3待采购主管审核,4入库完成,5待填写物流,6退货完成
        'is_del'       =>'int',//是否删除
        'addtime'       =>'datetime',//新建时间
        'updatetime'       =>'datetime',//更新时间

    ];
}