<?php
namespace app\admin\model;

class PurcheaseReturn extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'returnCode'       =>'varchar',//
        'cgdNo'       =>'varchar',//
        'wsm_in_code'       =>'varchar',//
        'wsm_num'       =>'int',//入库数量
        'reissue_num'       =>'int',//补发数量
        'return_num'       =>'int',//退货数量
        'return_contactor'       =>'varchar',//退货联系人
        'return_addr'       =>'varchar',//退货地址
        'return_mobile'       =>'varchar',//退货电话
        'error_remark'       =>'varchar',//异常备注
        'post_code'       =>'varchar',//物流编号
        'post_company'       =>'varchar',//物流公司
        'apply_id'       =>'int',//申请人
        'apply_name'       =>'varchar',//申请人名称
        'status'       =>'varchar',//状态
        'remark'       =>'varchar',//审核备注
        'is_del'       =>'int',//是否删除
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//

    ];
}