<?php
namespace app\admin\model;

class Role extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'role_name'       =>'varchar',//角色名称
        'status'       =>'int',//状态:1启用,0禁用
        'role_level'       =>'tinyint',//等级:1超管,2业务公司专用,3供应商专用(与账号等级对应)
        'desc'       =>'varchar',//描述
        'is_allow_see_price'       =>'tinyint',//是否允许查看价格,1允许,0不允许
        'companyNo'       =>'varchar',//所属组织
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
    ];
    protected $updateTime='updatetime';
    protected $createTime='addtime';
    public function RoleInfo(){
      return  $this->belongsTo('RoleAction','id','role_id');
    }

    public function ProcessInfo(){
        return  $this->belongsTo('RoleProcess','id','role_id');
    }
}