<?php
namespace app\admin\model;

class RoleProcess extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'int',//ID
        'role_id'       =>'int',//角色ID
        'action_data'       =>'text',//数据权限id,以,分割
        'is_del'       =>'tinyint',//是否删除，0正常，1删除
        'createrid'       =>'int',//创建人id
        'creater'       =>'varchar',//创建人
        'addtime'       =>'datetime',//创建时间
        'updaterid'       =>'int',//修改人id
        'updater'       =>'varchar',//修改人
        'updatetime'       =>'datetime',//修改时间
    ];
    protected $updateTime='updatetime';
    protected $createTime='addtime';

    public function getActionDataAttr($value)
    {
        return explode(',',$value);
    }
    public function setActionDataAttr($value)
    {
        return implode(',',$value);
    }
}