<?php
namespace app\admin\model;

class SaleCaixiao extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'orderCode'       =>'varchar',//订单编号
        'apply_id'       =>'int',//创建人
        'apply_name'       =>'varchar',//创建人名称
        'order_type'       =>'tinyint',//订单类型
        'order_source'       =>'tinyint',//订单来源
        'platform_id'       =>'varchar',//平台id
        'platform_type'       =>'tinyint',//平台类型
        'good_code'       =>'varchar',//商品skuCode
        'cat_id'       =>'int',//分类id
        'cat_name'       =>'varchar',//分类名称
        'good_name'       =>'varchar',//商品名称
        'good_num'       =>'int',//购买数量
        'good_type'       =>'tinyint',//商品类型
        'origin_price'       =>'decimal',//原价
        'origin_plan_price'       =>'decimal',//计划原价
        'sale_price'       =>'decimal',//售价
        'total_price'       =>'decimal',//总价
        'post_fee'       =>'decimal',//快递费
        'is_diff'       =>'tinyint',//是否有工差
        'is_activity'       =>'tinyint',//是否参与活动
        'is_stock'       =>'tinyint',//是否库存品
        'arrive_time'       =>'varchar',//到货时间
        'customer_code'       =>'varchar',//客户编码
        'customer_name'       =>'varchar',//客户名称
        'supplierNo'       =>'varchar',//业务企业编号
        'supplier_name'       =>'varchar',//业务企业名称
        'zxNo'       =>'varchar',//咨询编号
        'send_num'       =>'int',//已发货数量
        'wsend_num'       =>'int',//未发货数量
        'th_num'       =>'int',//退货数量
        'send_type'       =>'tinyint',//发货方式
        'proof_id'       =>'int',//凭证id
        'proof_url'       =>'varchar',//凭证地址
        'other_orderNo'       =>'varchar',//外部平台编号
        'paytime'       =>'varchar',//承诺付款时间
        'workNo'       =>'varchar',//业管单号
        'poNo'       =>'varchar',//po编号
        'use_order'       =>'varchar',//订单用途
        'gold_price'       =>'varchar',//当日金价
        'good_weight'       =>'varchar',//商品重量
        'cost_price'       =>'varchar',//销售工艺费
        'status'       =>'tinyint',//
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
        'noble_metal'       =>'varchar',//贵金属种类
        'brand'       =>'varchar',//分类
        'unit'       =>'varchar',//单位
        'cost_desc'       =>'varchar',//工艺说明
        'noble_weight'       =>'varchar',//贵金属重量
        'tax'       =>'varchar',//商品税点
        'delivery_day'       =>'varchar',//物流时间
        'lead_time'       =>'varchar',//供货周期
        'depart'       =>'varchar',//部门
        'th_fee'       =>'decimal',//退货金额
        'cost_fee'       =>'decimal',//工艺费
        'diff_fee'       =>'decimal',//工差金额
        'diff_weight'       =>'decimal',//工差重量
        'send_status'       =>'varchar',//发货状态
        'cgdNo'       =>'varchar',//采购单号
        'managerid'       =>'int',//
        'manager'       =>'varchar',//
        'total_origin_price'       =>'decimal',//总成本
        'total_origin_price_plan'       =>'decimal',//阶梯最低总成本
        'pay_id'       =>'int',//支付通道
        'oldCode'       =>'varchar',//原订单号
        'pay_source'       =>'varchar',//支付通道名称

    ];
}