<?php
namespace app\admin\model;

class SaleReturn extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'returnCode'       =>'varchar',//退货code
        'orderCode'       =>'varchar',//订单code
        'apply_id'       =>'bigint',//申请人id
        'apply_name'       =>'varchar',//申请人名称
        'cgderid'       =>'int',//
        'cgder'       =>'varchar',//
        'person_id'       =>'int',//
        'person'       =>'varchar',//
        'error_code'       =>'varchar',//退货原因编码
        'good_code'       =>'varchar',//商品熟悉code
        'good_name'       =>'varchar',//商品名称
        'good_price'       =>'decimal',//单价
        'num'       =>'int',//退货数量
        'total_fee'       =>'decimal',//退货金额
        'platform_id'       =>'int',//平台id
        'remark'       =>'varchar',//备注
        'order_type'       =>'varchar',//退货单类别
        'status'       =>'tinyint',//审核状态:1待业务审批,2待专员审批(该节点废除),3待主管审批(该节点废除),4退货完成,5业务驳回,6采购驳回(该节点废除),7专员审批不通过(该节点废除),9待供应商审核,8供应商已驳回待采购审核,10业务公司修改待供应商确认,11待设置退货工单,12待库管收货,13取消
        'is_all'       =>'tinyint',//是否全退货 0 否1 是
        'is_th'       =>'int',//供应商是否同意退货0/1
        'is_addr'       =>'tinyint',//0未发货1 发货单地址  
        'return_wsm'       =>'varchar',//退回仓库
        'is_del'       =>'int',//审核状态
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
        'loop_total'       =>'tinyint',//业务公司驳回(status==10)到供应商(status==8)的次数
        'supplierNo'       =>'varchar',//供应商编码(对应于商品表中的供应商)
        'supplierName'       =>'varchar',//供应商名称(对应于商品表中的供应商)
        'companyNo'       =>'varchar',//业务公司编码(对应于销售表sale中的supplierNo)
        'companyName'       =>'varchar',//业务公司名称(对应于销售表sale中的supplierNo)
        'customer_code'       =>'varchar',//客户编码
        'customer_name'       =>'varchar',//客户名称

    ];
}