<?php
namespace app\admin\model;

class StandingBook extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'int',//主键
        'standBookNo'       =>'varchar',//台账编码
        'projectNo'       =>'varchar',//项目编号
        'bargainNo'       =>'varchar',//咨询单编号
        'infoNo'       =>'varchar',//议价单编号
        'purchease_id'       =>'varchar',//备货单id
        'bk_code'       =>'varchar',//备货单编号
        'sale_id'       =>'varchar',//
        'orderCode'       =>'varchar',//销售订单编号
        'outCode'       =>'text',//发货申请单编号
        'returnCode'       =>'text',//售后申请单编号
        'thNo'       =>'text',//售后退货单编号
        'returnGoodCode'       =>'text',//退货单编号，returnCode
        'sale_diff_id'       =>'varchar',//工差单id
        'cgdNo'       =>'varchar',//采购单编号
        'wsm_in_code'       =>'text',//采购入库单编号,以CF开头
        'cgdReturnCode'       =>'text',//采购退货单编号,以CR开头
        'cgd_diff_id'       =>'varchar',//采购工差单id
        'spuCode'       =>'varchar',//商品编码
        'skuCode'       =>'varchar',//skuCode
        'order_type'       =>'tinyint',//来源
        'order_source'       =>'tinyint',//
        'supplierNo'       =>'varchar',//供应商编号（采购单）
        'companyNo'       =>'varchar',//业务公司编号(销售单)
        'customer_code'       =>'varchar',//企业客户编号(销售订单)
        'addtime'       =>'datetime',//创建时间
        'updatetime'       =>'datetime',//修改时间

    ];
}