<?php

use think\facade\Route;
//菜单
Route::rule('menu', 'admin/Menu/list');
Route::rule('menusave', 'admin/Menu/create');
Route::rule('menudel', 'admin/Menu/delete');
Route::rule('menustatus', 'admin/Menu/status');
Route::rule('menulist', 'admin/Menu/GetMenuAction');
Route::rule('menuaction', 'admin/Menu/menuActionList');
Route::rule('menuactionsave', 'admin/Menu/createMenuAction');
Route::rule('menuactionstatus', 'admin/Menu/statusMenuAction');
Route::rule('menuactionadd', 'admin/Menu/createMenuAction');
Route::rule('menuactionlist', 'admin/Menu/GetMenuAction');
Route::rule('menuactiondel', 'admin/Menu/deleteMenuAction');
Route::rule('actionstatus', 'admin/Menu/statusMenuAction');
Route::rule('actionlist', 'admin/Menu/menuActionList');
Route::rule('actionlistcreate', 'admin/Action/create');
Route::rule('actionlistdel', 'admin/Action/delete');
//用户组和数据共享
route::rule('getDataGroupList', 'admin/UserGroup/list');//获取用户组列表
route::rule('addDataGroup', 'admin/UserGroup/create');//添加用户组
route::rule('getDataGroupDetail', 'admin/UserGroup/info');//获取用户组详情
route::rule('editDataGroup', 'admin/UserGroup/save');//编辑用户组详情
route::rule('deleteDataGroup', 'admin/UserGroup/delete');//删除用户组
route::rule('statusDataGroup', 'admin/UserGroup/status');//启/禁用用户组
route::rule('getDataGroupListAll', 'admin/UserGroup/getGroupAll');//获取用户组列表(全部)
//品牌
Route::rule('brandcreate', 'admin/Brand/create');//品牌添加
Route::rule('brandlist', 'admin/Brand/list');//品牌列表
Route::rule('brandedit', 'admin/Brand/save');//品牌编辑
Route::rule('brandstatus', 'admin/Brand/status');//品牌启/禁用
Route::rule('branddel', 'admin/Brand/delete');//品牌删除
Route::rule('brandquery', 'admin/Brand/getBrandList');//品牌查询
//品牌授权
Route::rule('keepbcreate', 'admin/BrandAuth/create');//品牌权限添加
Route::rule('keepblist', 'admin/BrandAuth/list');//品牌权限列表
Route::rule('keepbinfo', 'admin/BrandAuth/info');//品牌权限详情
Route::rule('keepbedit', 'admin/BrandAuth/edit');//品牌权限编辑
Route::rule('keepbstatus', 'admin/BrandAuth/status');//品牌权限启/禁用
Route::rule('keepbdelete', 'admin/BrandAuth/delete');//品牌权限删除
Route::rule('keepbquery', 'admin/BrandAuth/query');//品牌权限查询
//分类
Route::rule('catquery', 'admin/Cate/query'); //分类列表-无分页  cat_name 分类名称 pid  父级分类id status   状态
Route::rule('catplist', 'admin/Cate/list');//分类列表 -分页  cat_name分类名称  pid父级分类id status状态
Route::rule('catcreate', 'admin/Cate/create');//分类添加
Route::rule('catedit', 'admin/Cate/save');//分类编辑
Route::rule('catstatus', 'admin/Cate/status');//分类启/禁用
Route::rule('catdelete', 'admin/Cate/delete');//分类删除
//渠道
route::rule('channeladd', 'admin/Channel/create');//渠道新建
route::rule('channeledit', 'admin/Channel/save');//渠道编辑
route::rule('channelstatus', 'admin/Channel/status');//渠道启禁用
route::rule('channellist', 'admin/Channel/list');//渠道列表
route::rule('channelquery', 'admin/Channel/query');//渠道获取
route::rule('channeldel', 'admin/Channel/delete');//渠道删除
route::rule('channelcatlist', 'admin/Channel/CatChannelList');//渠道分类列表
route::rule('channelcatsave', 'admin/Channel/CatChannelSave');//渠道分类修改
//平台
Route::rule('platformcreate', 'admin/Platform/create'); //平台新建
Route::rule('platformlist', 'admin/Platform/list');//平台列表
Route::rule('platformedit', 'admin/Platform/save');//平台编辑
Route::rule('platforminfo', 'admin/Platform/info');//平台详情
Route::rule('platformdelete', 'admin/Platform/delete');//平台删除
Route::rule('platformstatus', 'admin/Platform/status');//平台启/禁用
Route::rule('getPlatformListByUid', 'admin/Platform/platformList');//获取用户平台列表
Route::rule('setUserPlatfrom', 'admin/Platform/platformCreate');//设置用户平台
Route::rule('platformSourceCreate', 'admin/Platform/platformSourceCreate');//平台销售来源添加
Route::rule('platformSourceDelete', 'admin/Platform/platformSourceDelete');//平台销售来源删除
Route::rule('platformSourceList', 'admin/Platform/platformSourceList');//平台销售来源列表
//异常原因
Route::rule('resultlist', 'admin/Result/list');//异常原因列表
Route::rule('resultcreate', 'admin/Result/create');//异常原因添加
Route::rule('resultquery', 'admin/Result/query');//异常原因查询
Route::rule('resultedit', 'admin/Result/save');//异常原因编辑
Route::rule('resultdel', 'admin/Result/delete');//异常原因删除
Route::rule('resultstatu', 'admin/Result/status');//异常原因启/禁用
//离职交接单
Route::rule('Resigninfolist', 'admin/Resignation/list');//离职交接单列表
Route::rule('Resigninfocreate', 'admin/Resignation/create');//离职交接单创建
Route::rule('Resigninfoselect', 'admin/Resignation/detail');
Route::rule('Resigninfoedit', 'admin/Resignation/update');//离职交接单编辑
Route::rule('Resigninfodel', 'admin/Resignation/delete');//离职交接单作废
Route::rule('Resigninfostatu', 'admin/Resignation/status');//离职交接单审核