<?php
namespace app\bug\model;

class NoteLog extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'int',//
        'bugNo'       =>'varchar',//编号
        'type'       =>'int',//操作类型
        'action_uid'       =>'int',//操作人id
        'action_name'       =>'varchar',//操作人名称
        'handle_name'       =>'varchar',//操作字段
        'action_item'       =>'text',//操作前值
        'action_after'       =>'text',//操作后值
        'addtime'       =>'datetime',//操作时间
    ];
    protected $createTime='addtime';

    public function NoteInfo(){
        return $this->belongsTo('Note','bugNo','bugNo')->bind(["company_type"]);
    }
}