<?php
use think\facade\Route;
Route::rule('menu', 'bug/Menu/list');
Route::rule('menusave', 'bug/Menu/MenuEdit');
Route::rule('menudel', 'bug/Menu/MenuDel');
Route::rule('menustatus', 'bug/Menu/MenuStatus');
Route::rule("menulist","bug/Menu/MenuAllList");

Route::rule('userlist', 'bug/User/list');
Route::rule('userinfo', 'bug/User/userInfo');
Route::rule('userall', 'bug/User/userAll');
Route::rule("userstatus","bug/User/UserStatus");
Route::rule("usersave","bug/User/UserSave");
Route::rule("usersetrole","bug/User/setRole");

Route::rule('rolelist', 'bug/Role/RoleList');
Route::rule('roleall', 'bug/Role/RoleAll');
Route::rule('roleinfo', 'bug/Role/RoleInfo');
Route::rule('roleadd', 'bug/Role/RoleAdd');
Route::rule('rolesave', 'bug/Role/RoleSave');
Route::rule('rolestatus', 'bug/Role/RoleStatus');

Route::rule("uploadimg","bug/Cloud/upload");
Route::rule("cloudcreate","bug/Cloud/create");
Route::rule("cloudlist","bug/Cloud/list");
Route::rule("cloudedit","bug/Cloud/edit");
Route::rule("clouddel","bug/Cloud/del");
Route::rule("notecreate","bug/Note/create");
Route::rule("noteedit","bug/Note/edit");
Route::rule("notelist","bug/Note/list");
Route::rule("noteinfo","bug/Note/info");
Route::rule("notedel","bug/Note/del");
Route::rule("modellist","bug/Model/list");
Route::rule("dealcreate","bug/Deal/create");
Route::rule("manangelist","bug/Manange/list");
Route::rule("manangecreate","bug/Manange/create");
Route::rule("manangedelect","bug/Manange/del");
Route::rule('menuaction', 'bug/Action/ActionList');
Route::rule('menuactionsave', 'bug/Action/ActionSave');
Route::rule('menuactionstatus', 'bug/Action/ActionStatus');
Route::rule('menuactionadd', 'bug/Action/ActionAdd');
Route::rule("menuactiondel","bug/Menu/MenuActionDel");
Route::rule("dealadd","bug/Deal/add");
Route::rule("manangeloglist","bug/Manange/loglist");

Route::rule("work_create","bug/Work/create");
Route::rule("work_save","bug/Work/save");
Route::rule("work_delete","bug/Work/delete");
Route::rule("work_info","bug/Work/info");
Route::rule("work_list","bug/Work/list");
Route::rule("work_status","bug/Work/status");
Route::rule("work_action_create","bug/Work/WorkActionCreate");
Route::rule("work_action_save","bug/Work/WorkActionSave");
Route::rule("work_action_delete","bug/Work/WorkActionDelete");
Route::rule("work_action_info","bug/Work/WorkActionInfo");
Route::rule("work_action_list","bug/Work/WorkActionList");
Route::rule("work_template_create","bug/Work/WorkTemplateCreate");
Route::rule("work_template_save","bug/Work/WorkTemplateSave");
Route::rule("work_template_info","bug/Work/WorkTemplateInfo");

Route::rule('work_role_create','bug/WorkRole/create');
Route::rule('work_role_save','bug/WorkRole/save');
Route::rule('work_role_delete','bug/WorkRole/delete');
Route::rule('work_role_info','bug/WorkRole/info');
Route::rule('work_role_list','bug/WorkRole/list');
Route::rule('work_role_status','bug/WorkRole/status');

Route::rule('work_user_create','bug/WorkRole/WorkRoleCreate');
Route::rule('work_user_save','bug/WorkRole/WorkRoleSave');
Route::rule('work_user_delete','bug/WorkRole/WorkRoleDelete');
Route::rule('work_user_info','bug/WorkRole/WorkRoleInfo');
Route::rule('work_user_status','bug/WorkRole/WorkRoleStatus');
Route::rule('work_user_list','bug/WorkRole/WorkRoleList');
Route::rule('work_user_condition','bug/WorkRole/WorkRoleInfoByCondition');

Route::rule('work_subinfo_status','bug/Subscribe/infoStatus');
Route::rule('work_sub_create','bug/Subscribe/create');
Route::rule('work_sub_save','bug/Subscribe/save');
Route::rule('work_sub_delete','bug/Subscribe/delete');
Route::rule('work_sub_info','bug/Subscribe/info');
Route::rule('work_sub_list','bug/Subscribe/list');
Route::rule('work_sub_status','bug/Subscribe/status');


