<?php
namespace app\cxinv\model;

class ActionProcess extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'order_type'  =>'varchar',//流程类别(所属流程编码,废弃字段)
        'order_name'  =>'varchar',//流程类别名称(所属流程名称,废弃字段)
        'process_id'  =>'int',//所属流程id
        'order_process'  =>'int',//订单状态(节点值)
        'status_name'  =>'varchar',//状态名称(节点名称)
        'pid'  =>'int',//上一级流程(暂时废弃)
        'roleid'  =>'varchar',//操作角色id,多个id以,分割(暂时废弃)
        'action_type'  =>'tinyint',//节点类型,1开始节点,2过程节点,3中断节点,4结束节点
        'operation_type'  =>'tinyint',//操作类型:1审批节点,2系统节点
        'next_action_ids'  =>'varchar',//下一个节点id,多个id以,分割
        'uid'  =>'int',//操作人(暂时废弃)
        'uname'  =>'varchar',//操作人名称(暂时废弃)
        'status'  =>'int',//状态，1启用,0禁用
        'weight'  =>'int',//权重字段
        'is_del'  =>'int',//是否删除，0正常,1删除
        'createrid'  =>'int',//创建人id
        'creater'  =>'varchar',//创建人
        'addtime'  =>'datetime',//创建时间
        'updaterid'  =>'int',//修改人
        'updater'  =>'varchar',//更新人
        'updatetime'  =>'datetime',//
        'remark'  =>'varchar',//备注
       ];
}