<?php
namespace app\cxinv\model;

class Good extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'spuCode'  =>'varchar',//商品spuCode
        'good_name'  =>'varchar',//商品名称
        'companyNo'  =>'varchar',//业务公司id
        'companyName'  =>'varchar',//
        'supplierNo'  =>'varchar',//供应商code
        'supplierName'  =>'varchar',//
        'is_stock'  =>'tinyint',//是否库存品
        'craft_desc'  =>'text',//工艺说明
        'after_sales'  =>'text',//售后说明
        'good_img'  =>'text',//商品详情主图 
        'good_thumb_img'  =>'varchar',//商品缩略图
        'good_info_img'  =>'text',//商品详情图
        'creater'  =>'varchar',//创建人
        'createrid'  =>'int',//创建人id
        'cat_name'  =>'varchar',//分类名称
        'unit_name'  =>'varchar',//单位名称
        'status'  =>'tinyint',//0未关联开票类目1销售已关联类目 2采购已关联类目 3 税目管连完成
        'inv_cat_name'  =>'varchar',//类目名称
        'inv_cat_code'  =>'varchar',//类目编号
        'inv_tax'  =>'varchar',//类目税率
        'inv_good_name'  =>'varchar',//类目商品名称
        'inv_tag'  =>'tinyint',//税率标识0 非零税率，1：免税，2：不征税 3: 普通零税率
        'is_discount'  =>'tinyint',//是否享有优惠政策 0 否1是
        'addTax'  =>'varchar',//税率管理内容
        'isZx'  =>'tinyint',//是否咨询商品 0/1
        'cgd_inv_cat_code'  =>'varchar',//采购单类目编号
        'cgd_inv_cat_name'  =>'varchar',//采购单类目名称
        'cgd_inv_good_name'  =>'varchar',//采购单商品名称
        'cgd_inv_tax'  =>'varchar',//采购单开票税率
        'isChange'  =>'tinyint',//是否修改
        'isCombind'  =>'tinyint',//是否组合商品
        'isChild'  =>'tinyint',//是否子商品
        'cgd_supplierNo'  =>'varchar',//源头供应商
        'cgd_supplierName'  =>'varchar',//源头供应商
        'cat_diff'  =>'tinyint',//类目是否一直 0 未完成 1 一致 2不一致
        'tax_diff'  =>'tinyint',//税率是否一直 0 未完成 1 一致 2不一致
        'exam_info'  =>'longtext',//审核记录
        'addtime'  =>'datetime',//
        'updatetime'  =>'datetime',//
       ];
}