<?php
namespace app\cxinv\model;

class InvoiceInfo extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'hpNo'  =>'varchar',//回票编号
        'payNo'  =>'varchar',//对账编号
        'type'  =>'varchar',//special: 增值税专用发票normal: 增值税普通发票electronic: 增值税电子普通发票special_electronic:增值税电子专用发票toll:增值税电子普通发票(通行费)roll:增值税普通发票(卷票)
        'title'  =>'varchar',//增值税发票title
        'serial_number'  =>'varchar',//发票联次
        'attribution'  =>'varchar',//发票归属地
        'supervision_seal'  =>'varchar',//发票监制章
        'number'  =>'varchar',//发票号码。
        'code'  =>'varchar',//	发票代码
        'check_code'  =>'varchar',//发票校验码
        'print_code'  =>'varchar',//机打代码
        'machine_number'  =>'varchar',//机器编号
        'print_number'  =>'varchar',//机打号码
        'encryption_block'  =>'varchar',//密码区
        'issue_date'  =>'varchar',//开票日期
        'buyer_name'  =>'varchar',//购买方名称
        'buyer_id'  =>'varchar',//购买方纳税人识别号
        'buyer_address'  =>'varchar',//购买方地址、电话
        'buyer_bank'  =>'varchar',//购买方开户行及帐号
        'seller_name'  =>'varchar',//销售方名称。
        'seller_id'  =>'varchar',//销售方纳税人识别号。
        'seller_address'  =>'varchar',//销售方地址、电话。
        'seller_bank'  =>'varchar',//销售方开户行及帐号。
        'subtotal_amount'  =>'varchar',//合计金额。
        'subtotal_tax'  =>'varchar',//合计税额。
        'total'  =>'varchar',//价税合计。
        'item_list'  =>'text',//货物或应税劳务列表。
        'receiver'  =>'varchar',//收款人
        'issuer'  =>'varchar',//开票人
        'reviewer'  =>'varchar',//复核
        'status'  =>'int',//
        'change_field'  =>'text',//
        'updatetime'  =>'datetime',//
        'seller_seal'  =>'varchar',//销售方发票专用章
        'remarks'  =>'varchar',//备注
        'total_in_words'  =>'varchar',//价税合计(大写)
       ];
    public function getItemListAttr($value)
    {
        return json_decode($value,true);
    }
    public function setItemListAttr($value)
    {
        return json_encode($value,JSON_UNESCAPED_UNICODE);
    }
}