<?php
namespace app\cxinv\model;

use think\Model;
class OrderTag extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'int',//
        'type'  =>'tinyint',//标签类型 1对账单付款2对账单回票3销售回款4销售开票5采购单付款 6采购单开票
        'tag_name'  =>'varchar',//标签名称
        'companyNo'  =>'varchar',//业务公司编号
        'status'  =>'tinyint',//标签使用状态
        'is_del'  =>'tinyint',//标签是否删除
        'apply_id'  =>'int',//申请人id
        'apply_name'  =>'varchar',//申请人名称
        'addtime'  =>'datetime',//
        'updatetime'  =>'datetime',//
       ];
    protected $createTime = 'addtime';
    protected $updateTime = 'updatetime';
    public static $type_list=[
        1=>'对账单付款',
        2=>'对账单回票',
        3=>'销售回款',
        4=>'销售开票',
        5=>'采购单付款',
        6=>'采购单开票',
    ];




}