<?php
namespace app\cxinv\model;

use app\user\model\Business;class Trade extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'tradNo'  =>'varchar',//打款交易记录编号
        'trade_bank'  =>'varchar',//交易银行
        'trade_account'  =>'varchar',//交易账户
        'trade_type'  =>'int',//交易类型 0 自营资金1 平台资金
        'trade_time'  =>'datetime',//交易时间
        'trade_used'  =>'varchar',//交易用途
        'trade_out'  =>'varchar',//付款方
        'trade_in'  =>'varchar',//收款方
        'trade_in_code'  =>'varchar',//收款方
        'trade_remark'  =>'varchar',//打款备注
        'total_fee'  =>'decimal',//总额
        'used_fee'  =>'decimal',//已认领额度
        'balance'  =>'decimal',//余额
        "poCode"=>'varchar',//po单号
        "NdCode"=>'varchar',//Nd单号
        'customerNo'  =>'varchar',//客户编号
        'customerName'  =>'varchar',//客户编号
        'companyNo'  =>'varchar',//业务公司编号
        'companyName'  =>'varchar',//业务公司编号
        'trade_in_account'  =>'varchar',//收款账户
        "apply_id"=>"int",
        "apply_name"=>"varchar",
        'status'  =>'int',//状态 1 未认领2部分认领 3 全部认领
        'is_del'  =>'int',//
        'addtime'  =>'datetime',//
        'updatetime'  =>'datetime',//
       ];
    protected $createTime = 'addtime';
    protected $updateTime = 'updatetime';
    public function Lib(){
       return $this->belongsTo(TradeLib::class,'tradNo','tradNo')->bind(["palt_po","skuCode","goodName","goodNum","platPrice","plat_total","tax","cat_code","cat_name","comPrice","com_total","pcCode"]);
    }
}