<?php
namespace app\user\model;

class CompanyInfo extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'companyNo'       =>'varchar',//业务企业编号
        'company_name'       =>'varchar',//业务企业名称
        'company_address'       =>'varchar',//业务企业地址
        'company_license'       =>'varchar',//业务企业纳税识别号
        'bank_name'       =>'varchar',//开户行
        'bankNo'       =>'varchar',//银行账户
        'contector'       =>'varchar',//法人
        'mobile'       =>'varchar',//公司联系方式
        'company_img'       =>'varchar',//营业执照
        'input_ticket'       =>'varchar',//进项票设置  1 金税验票2人工验票
        'out_ticket'       =>'varchar',//销项票 1支持金税 2 不支持
        'voider'       =>'varchar',//发票作废人
        'payee'       =>'varchar',//收款人
        'drawer'       =>'varchar',//开票人
        'reviewer'       =>'varchar',//复核人
        'ownerPlace'       =>'varchar',//归属地
        'denomination'       =>'varchar',//面额
        'invoiceType'       =>'varchar',//发票类型集合
        'status'       =>'tinyint',//状态
        'is_del'       =>'tinyint',//是否删除
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
        'invoice_title'       =>'varchar',//发票抬头

    ];
    protected $updateTime='updatetime';
    protected $createTime='addtime';
}