<?php
namespace app\youzan\model;

class Account extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'int',//
        'yz_open_id'  =>'varchar',//有赞openid
        'nick_name'  =>'varchar',//昵称
        'mobile'  =>'varchar',//手机号
        'weixin_open_id'  =>'varchar',//平台账户id
        'avatar'  =>'varchar',//头像
        'country'  =>'varchar',//国家
        'province'  =>'varchar',//省份
        'city'  =>'varchar',//城市
        'gender'  =>'tinyint',//性别
        'platform_type'  =>'tinyint',//平台类型，0-手机帐号；1-微信H5帐号；其他表示微信小程序
        'wechat_type'  =>'tinyint',//1-公众号、2-小程序
        'is_fans'  =>'tinyint',//公众号粉丝特有，0表示取消关注，1表示关注，2表示是静默授权登录产生的粉丝，没有关注也没有取关
        'union_id'  =>'varchar',//微信全局标识
        'latest_info'  =>'varchar',//最新用户信息
        'last_talk_time'  =>'datetime',//粉丝最后对话时间
        'unfollow_time'  =>'datetime',//取关时间
        'follow_time'  =>'datetime',//关注时间
        'created_time'  =>'datetime',//用户创建时间
        'updated_time'  =>'datetime',//用户更新时间
       ];
}