<?php
namespace app\youzan\model;

class ActivityPromocode extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'act_good_id'  =>'int',//活动商品id
        'actCode'  =>'varchar',//活动商品code
        'skuCode'  =>'varchar',//采销商品编号
        'item_id'  =>'varchar',//有赞商品id
        'title'  =>'varchar',//优惠券名称
        'is_at_least'  =>'tinyint',//是否有门槛优惠码。0否1是
        'code'  =>'varchar',//优惠码号
        'is_forbid_preference'  =>'tinyint',//是否禁止优惠码与其他活动一起使用
        'specify_item_ids'  =>'varchar',//指定的商品id
        'is_share'  =>'tinyint',//是否可分享优惠码的领取链接，0为否，1为是。
        'start_at'  =>'varchar',//优惠码领取时间。
        'end_at'  =>'varchar',//优惠码领取时间。
        'total'  =>'int',//优惠码可领取的总数量
        'expire_notice'  =>'tinyint',//优惠码过期前是否发送提醒。
        'quota'  =>'tinyint',//优惠码可领取的数量
        'cent_value'  =>'int',//优惠码面额，单位：分。
        'code_type'  =>'varchar',//优惠码类型，UNIQUE表示一卡一码；GENERAL表示通用码
        'range_type'  =>'varchar',//优惠码可优惠的商品范围类型，可选值：ALL，全部商品可用；PART，部分指定商品可用；EXCLUDED，
        'at_least'  =>'decimal',//表示该优惠码的门槛。单位：元，精确到分。
        'status'  =>'tinyint',//优惠码状态，0表示有效，1表示失效，2表示微信卡券审核中
        'group_id'  =>'varchar',//优惠码活动ID
        'is_expired'  =>'tinyint',//优惠码是否已过期
        'fetch_url'  =>'varchar',//优惠码领取链接
        'remark'  =>'varchar',//
        'is_del'  =>'tinyint',//
        'createTime'  =>'datetime',//
        'updateTime'  =>'datetime',//
       ];
}