<?php
namespace app\youzan\model;

class GoodPermission extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'int',//
        'item_id'  =>'varchar',//有赞商品id
        'good_id'  =>'int',//good表id
        'ump_tags'  =>'varchar',//可购买该商品的用户标签id，用英文逗号分隔
        'quota_cycle'  =>'tinyint',//限购周期：0-终身限购， 1-按天限购，2-按周限购，3-按月限购，不传默认不限购
        'ump_level'  =>'varchar',//可购买该商品的用户等级
        'purchase_right'  =>'tinyint',//是否设置商品限购，true-已设置，false-未设置，默认false
        'ump_real_level'  =>'varchar',//可购买该商品的粉丝等级
        'buy_quota'  =>'tinyint',//每人限购多少件，0-无限购，默认为0
        'status'  =>'tinyint',//使用状态
        'addtime'  =>'datetime',//
       ];
}