<?php
namespace app\youzan\model;

class OrderAddress extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'tid'  =>'varchar',//有赞订单号
        'delivery_city'  =>'varchar',//城市
        'self_fetch_info'  =>'text',//到店自提信息 json格式
        'address_extra'  =>'varchar',//字段为json格式，需要开发者自行解析 lng、lon（经纬度，百度坐标系）； checkOutTime（酒店退房时间）； recipients（入住人）； checkInTime（酒店入住时间）； idCardNumber（海淘身份证信息）； areaCode（行政编码）
        'delivery_province'  =>'varchar',//省份
        'receiver_name'  =>'varchar',//收货人
        'receiver_tel'  =>'varchar',//收货电话
        'delivery_postal_code'  =>'varchar',//邮政编号(修改地址时不存在)
        'delivery_address'  =>'varchar',//详细地址
        'delivery_district'  =>'varchar',//县区
        'is_del'  =>'tinyint',//是否可用 0 可用 1废弃
        'addtime'  =>'datetime',//创建时间
        'updatetime'  =>'datetime',//更新时间
        'type'  =>'tinyint',//1用户提交,2平台提交
       ];
}