<?php
namespace app\youzan\model;

class OrderExpress extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'int',//
        'tid'  =>'varchar',//有赞订单号
        'orderCode'  =>'varchar',//订单号
        'out_stype'  =>'varchar',//物流id，当is_no_express=0或者不传时候，该字段必传。物流公司在有赞入驻后，有赞生成的唯一物流公司id，使用【youzan.logistics.express.get】接口获取
        'out_sid'  =>'varchar',//物流单号，当is_no_express=0或者不传时候，该字段必传。即物流公司的快递单号，请填写准确，真实的快递单号。
        'is_no_express'  =>'tinyint',//是否需要物流发货，0或者空：物流发货，1：无需物流。默认为空
        'oids'  =>'varchar',//订单明细id，即子订单号，19位随机数字组合，用于判断判断子订单是否发货，退款场景等。对应父级字段tid。
        'status'  =>'tinyint',//包裹物流状态；0-收件； 1：揽件 ；2：疑难 ；3：签收； 4：退签 ；5：派送中； 7：运输中
        'admin_id'  =>'int',//操作人id 非有赞平台参数
        'admin_name'  =>'varchar',//操作人
        'response_code'  =>'varchar',//请求接口返回码
        'is_del'  =>'tinyint',//状态 0 废弃1 可用
        'addtime'  =>'datetime',//
        'updatetime'  =>'datetime',//
       ];
}