<?php
namespace app\youzan\model;

class OrderPromotion extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'tid'  =>'varchar',//订单id
        'kdt_id'  =>'varchar',//店铺id
        'promotion_type'  =>'varchar',//活动类型: none:无优惠;tuan:团购返现;auction:降价拍;groupOn:多人拼团;pointsExchange:积分兑换;seckill:秒杀;packageBuy:优惠套餐;presentExchange:赠品领取;goodsScan:商品扫码;customerDiscount:会员折扣;timelimitedDiscount:限时折扣;paidPromotion:支付有礼;scanReduce:收款码优惠;sellerDiscount:分销商等级折扣;supplierTimeLimitedDiscount:供货商限时折扣;shareCut:享立减;fCode:F码;helpCut:助力砍价;recommendGift:推荐有礼（老带新）;luckyDrawGroup:抽奖拼团;plusBuy:加价购;plusBuyGoods:加价购换购商品;ladderGroupOn:阶梯拼团;multiGoodsGroupOn:多商品伙拼团;meetReduce:满减送;cashBack:订单返现;supplierMeetReduce:供货商满包邮;bale:打包一口价;coupon:优惠卡券;entireDiscount:整单优惠;groupOnHeaderDiscount:团长优惠;customerPostageFree:会员包邮;ignoreOddChange:抹零;operation:订单改价;carriageDiscount:同城送运费优惠;postFree:快递包邮工具;depositExpansion:定金膨胀;secondHalfDiscount:第2件半价;helpDepositExpansion:助力定金膨胀;fansBenefit:让利涨粉;pfGuideMarketing:引导促销;cashbackPro:订单返现Pro;luckyDrawCode:0元抽奖码;inSourcingFission:内购裂变;knowLedgeMjs:知识付费买赠;pointDeduction:积分抵现;101:关联的活动类型为满减送
        'sub_promotion_type'  =>'varchar',//优惠子类型 card 优惠券 code 优惠码
        'promotion_title'  =>'varchar',//活动标题
        'coupon_id'  =>'varchar',//券id
        'promotion_condition'  =>'varchar',//优惠描述
        'promotion_type_name'  =>'varchar',//优惠类型描述
        'promotion_content'  =>'varchar',//优惠活动别名
        'promotion_id'  =>'varchar',//优惠id
        'discount_fee'  =>'varchar',//活动金额，单位：元
        'promotion_type_id'  =>'int',//活动类型id；1-无优惠；2-团购返现；3-降价拍；4-多人拼团；5-积分兑换；6-秒杀；7-优惠套餐；8-赠品领取；9-商品扫码；10-会员折扣；11-限时折扣；12-支付有礼；16-收款码优惠；17-分销商等级折扣；18-供货商限时折扣；19-享立减；20-F码；21-助力砍价；22-推荐有礼（老带新)；23-抽奖拼团；24-加价购；25-加价购换购商品；26-阶梯拼团；27-多商品伙拼团；28-新品发售；29-秒杀问题；30-推荐办卡（展示卡）；101-满减送； 102-订单返现；103-供货商满包邮；104-打包一口价；105-优惠卡券；106-整单优惠；107-团长优惠；108-会员包邮；110-抹零；111-订单改价；112-同城送运费优惠；113-快递包邮工具；114-定金膨胀；115-第2件半价；116-助力定金膨胀；118-让利涨粉；119-企业微信让利涨粉；201-引导促销；203-订单返现Pro；204-0元抽奖码；205-内购裂变；206-分享有礼；207-优惠套餐搭配主商品（仅商品选择组件用）；208-组合套餐；209-限时佣金；210-定向佣金；211-平台优惠券；225-知识付费买赠；256-积分抵现；257-集点卡；258-集点兑换物品；259-攒学费；260-导购扫码；301-主图水印；302-电子发票；401-盲盒获取；402-盲盒核销；403-限时秒杀；501-公众号海报；502-好友助力；503-社群接龙；504-预付卡；505-SKU级预付卡；506-储值专享折扣；507-会员场景营销；508-社群接龙；509-限时到店优惠；510-发红包；511-红包优惠；513-平台补贴；514-普惠秒杀；601-兑换券；10000-发券宝(裂变优惠券)；10001-刮刮卡；10002-疯狂猜；10003-生肖翻翻看；10004-幸运大抽奖；10005-摇一摇；10006-好友瓜分券；10007-发券宝(新客进店有礼)；10008-发券宝(老客进店有礼)；10008-发券宝(老客进店有礼)；10020-投票调查；
        'addtime'  =>'datetime',//
       ];
}