<?php

// +----------------------------------------------------------------------
// | 缓存设置
// +----------------------------------------------------------------------

return [
    // 默认缓存驱动
    'default' => env('cache.driver', 'redis'),

    // 缓存连接方式配置
    'stores'  => [
        'file' => [
            // 驱动方式
            'type'       => 'File',
            // 缓存保存目录
            'path'       => '',
            // 缓存前缀
            'prefix'     => '',
            // 缓存有效期 0表示永久缓存
            'expire'     => 0,
            // 缓存标签前缀
            'tag_prefix' => 'tag:',
            // 序列化机制 例如 ['serialize', 'unserialize']
            'serialize'  => [],
        ],
        'redis'=>[
            'type' => 'Redis',
            'host' => env('redis.host'),
            'port' => env('redis.port'),
            'password' =>env('redis.password'),
            'timeout' => 3600
        ],
         'redis2'=>[
            'type' => 'Redis',
            'host' => '123.249.88.98',
            'port' => '6379',
            'password' => 'caixiao369',
            'timeout' => 3600
        ]
        // 更多的缓存连接
    ],
];
