<?php
namespace app\admin\model;

class ActivityInfo extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'skuCode'       =>'varchar',//
        'spuCode'       =>'varchar',//商品spu编码
        'good_name'       =>'varchar',//商品名称
        'activity_code'       =>'varchar',//活动code
        'activity_stock'       =>'int',//活动库存数
        'cost_price'       =>'decimal',//成本单价
        'moq_num'       =>'int',//起订量
        'sale_price'       =>'decimal',//售价
        'activity_price'       =>'decimal',//活动价
        'is_activity'       =>'tinyint',//是否使用活动价 1是 0 否
        'settle_price'       =>'decimal',//结算金额
        'status'       =>'tinyint',//状态,0待产品部审核,1待采购定价,2待财务定售价,3待活动价审核,4审核完成,5活动未开始,6活动进行中,7活动已结束,8审核未通过
        'remark'       =>'varchar',//备注
        'is_del'       =>'tinyint',//
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//

    ];
}