<?php
namespace app\admin\model;

class BbcFill extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'fillCode'       =>'varchar',//业务报备单号
        'fill_type'       =>'tinyint',//1库存品 2非库存 3 咨询
        'skuCode'       =>'varchar',//商品上线编号
        'spuCode'       =>'varchar',//商品基础编号
        'good_name'       =>'varchar',//商品名称
        'unit_id'       =>'int',//单位id
        'brand_id'       =>'int',//品牌id
        'cat_id'       =>'int',//分类id
        'good_num'       =>'int',//报备数量
        'transfer_num'       =>'int',//转单数
        'good_price'       =>'decimal',//报备单价
        'origin_price'       =>'decimal',//采购成本价
        'total_price'       =>'decimal',//总金额
        'platform_id'       =>'int',//平台id
        'companyNo'       =>'varchar',//业务公司
        'companyName'       =>'varchar',//业务公司名称
        'customerCode'       =>'varchar',//客户编号
        'customerName'       =>'varchar',//客户名称
        'supplierNo'       =>'varchar',//供应商名称
        'supplierName'       =>'varchar',//供应商名称
        'is_compliance'       =>'tinyint',//是否合规 0 未处理1合规 2不合规
        'plat_code'       =>'varchar',//平台商品编号
        'fill_remark'       =>'varchar',//报备单备注
        'compliance_remark'       =>'varchar',//是否合规备注
        'status'       =>'tinyint',//状态
        'manager'       =>'varchar',//业务经理
        'managerid'       =>'int',//业务经理
        'apply_id'       =>'int',//创建人
        'apply_name'       =>'varchar',//申请人
        'updatetime'       =>'datetime',//
        'addtime'       =>'datetime',//
        'delete_time'       =>'datetime',//
    ];
}