<?php
namespace app\admin\model;

class BrandBook extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'int',//
        'brand_book'       =>'varchar',//授权书
        'gyscode'       =>'varchar',//供应商code
        'gysname'       =>'varchar',//供应商名称
        'brand_id'       =>'varchar',//品牌id
        'is_book'       =>'varchar',//支持品牌
        'creater'       =>'varchar',//创建人
        'createrid'       =>'int',//创建人id
        'long'       =>'int',//长期授权 0长期1无长期
        'starttime'       =>'varchar',//授权开始时间
        'endtime'       =>'varchar',//授权结束时间
        'remark'       =>'varchar',//
        'status'       =>'tinyint',//品牌状态
        'is_del'       =>'tinyint',//
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
    ];
    protected $createTime='addtime';
    protected $updateTime='updatetime';

    public function brandInfo()
    {
        return $this->belongsTo(Brand::class,'brand_id','id')->bind(['brand_name']);
    }
}