<?php
namespace app\admin\model;

class CompanyPlatformCatProfit extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'int',//
        'companyNo'       =>'char',//公司编码
        'platform_id'       =>'int',//平台id
        'cat_id'       =>'int',//分类id
        'rate'       =>'decimal',//主管利率
        'order_rate'       =>'decimal',//预算成本
        'money_rate'       =>'decimal',//财务利率
        'low_rate'       =>'decimal',//最低利率
        'sale_rate'       =>'decimal',//成本售价(标准)
        'status'       =>'tinyint',//状态,1启用,0禁用
        'is_del'       =>'tinyint',//是否删除,0未删除,1已删除
        'addtime'       =>'datetime',//创建时间
        'updatetime'       =>'datetime',//更新时间

    ];
}