<?php
namespace app\admin\model;

class ConsultBragain extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'bargainNo'       =>'varchar',//议价单号
        'bidNo'       =>'varchar',//竞标商品单号
        'bragain_reason'       =>'varchar',//议价原因
        'origin_price'       =>'decimal',//原价
        'bragain_price'       =>'decimal',//议价后价格
        'cost_fee'       =>'decimal',//议价工艺费
        'cost_rate'       =>'decimal',//议价后毛利
        'cost_price'       =>'decimal',//议价后单价
        'main_fee'       =>'decimal',//主管定价
        'main_rate'       =>'decimal',//主管定价后利率
        'main_price'       =>'decimal',//主管定价后单价
        'creater'       =>'varchar',//创建人
        'createrid'       =>'bigint',//创建人id
        'status'       =>'tinyint',//状态 0 待提交1待 财务定价 2 待主管定价 3 定价完成 
        'is_del'       =>'tinyint',//
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//

    ];
}