<?php
namespace app\admin\model;

class CustomerInfo extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'companyNo'       =>'varchar',//客户编码
        'companyName'       =>'varchar',//客户名称
        'name'       =>'varchar',//父级属性
        'parent'       =>'varchar',//父级属性
        'itemid'       =>'bigint',//组织结构id
        'area'       =>'varchar',//大区
        'comdepart'       =>'varchar',//企业联系部门
        'commobile'       =>'varchar',//企业联系电话
        'comtel'       =>'varchar',//企业座机电话
        'contactor'       =>'varchar',//联系人
        'depart'       =>'varchar',//部门
        'mobile'       =>'varchar',//联系电话
        'invoice_title'       =>'varchar',//发票抬头
        'invoice_people'       =>'varchar',//发票纳税人
        'invoice_addr'       =>'text',//发票地址
        'invoice_mobile'       =>'varchar',//发票联系方式
        'invoice_code'       =>'varchar',//纳税识别号
        'invoice_bank'       =>'varchar',//纳税银行
        'invoice_bankNo'       =>'varchar',//纳税银行账户
        'companyCode'       =>'varchar',//企业机构编码 
        'status'       =>'int',//状态
        'sales_name'       =>'varchar',//业务员名称
        'sales_depart'       =>'varchar',//业务员部门
        'branch'       =>'varchar',//分支
        'middle'       =>'varchar',//中支
        'country'       =>'varchar',//县支
        'is_del'       =>'int',//
        'createrid'       =>'int',//创建人id
        'creater'       =>'varchar',//创建人
        'modifier'       =>'varchar',//修改人
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//

    ];
}