<?php
namespace app\admin\model;

class GoodTemp extends Base
{
//设置字段信息
    protected $schema = [
        'spuCode'       =>'varchar',//商品spuCode
        'good_name'       =>'varchar',//商品名称
        'cat_id'       =>'bigint',//分类id
        'brand_id'       =>'bigint',//商品品牌id
        'good_unit'       =>'varchar',//商品单位
        'good_type'       =>'tinyint',//商品类型:1定制,0非定制(之前是1定制,2常规)
        'companyNo'       =>'varchar',//业务企业
        'companyName'       =>'varchar',//业务公司名称
        'moq'       =>'int',//起订量
        'customized'       =>'int',//定制工期
        'tax'       =>'varchar',//税点
        'supplierNo'       =>'varchar',//供应商code
        'supplierName'       =>'varchar',//供应商名称
        'is_auth'       =>'tinyint',//是否有销售权限
        'is_stock'       =>'tinyint',//是否库存品 0否1是
        'after_sales'       =>'text',//售后说明
        'craft_desc'       =>'text',//工艺说明
        'good_remark'       =>'varchar',//商品备注
        'good_size'       =>'varchar',//商品尺寸
        'weight'       =>'decimal',//商品重量
        'packing_way'       =>'varchar',//包装方式
        'packing_size'       =>'varchar',//装箱尺寸
        'packing_spec'       =>'varchar',//装箱规格
        'packing_list'       =>'varchar',//包装清单
        'packing_weight'       =>'decimal',//装箱重量
        'good_bar'       =>'varchar',//商品条形码
        'supply_area'       =>'varchar',//供货区域
        'delivery_place'       =>'varchar',//发货地
        'origin_place'       =>'varchar',//产地
        'delivery_day'       =>'int',//物流时间
        'lead_time'       =>'int',//供货周期
        'sample_day'       =>'int',//调样周期
        'sample_fee'       =>'decimal',//调样费有
        'cert_fee'       =>'decimal',//证书费
        'packing_fee'       =>'decimal',//包装费
        'cost_fee'       =>'decimal',//工艺费
        'mark_fee'       =>'decimal',//加标费
        'demo_fee'       =>'decimal',//打样费
        'open_fee'       =>'decimal',//开模费
        'noble_metal'       =>'tinyint',//贵金属种类1 18k 2 24k 3白银 
        'noble_weight'       =>'decimal',//贵金属种量
        'is_gold_price'       =>'tinyint',//是否使用实时金价
        'cgd_gold_price'       =>'decimal',//供应商采购金价
        'market_price'       =>'decimal',//市场价
        'nake_price'       =>'decimal',//含税成本价
        'is_step'       =>'tinyint',//阶梯价是否启用
        'supplier_origin_price'       =>'decimal',//供应商采购成本
        'cgd_supplier_code'       =>'varchar',//采购供应商编号
        'cgd_supplier_name'       =>'varchar',//采购供应商名称
        'cgd_apply_id'       =>'int',//竞单人
        'cgd_apply_name'       =>'varchar',//竞单人
        'is_exclusive'       =>'tinyint',//是否专属类型 
        'is_diff'       =>'tinyint',//是否有工差
        'config'       =>'varchar',//配置
        'other_config'       =>'varchar',//其他配置
        'stock_moq'       =>'int',//库存备库起订数量
        'is_support_barter'       =>'tinyint',//是否可退货,1可以,0不可以
        'is_combind'       =>'tinyint',//是否组合商品
        'plat_code'       =>'varchar',//平台订单号

    ];
}