<?php
namespace app\admin\model;

class InterOrder extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'int',//
        'interNo'       =>'varchar',//直接录单编号
        'apply_id'       =>'int',//申请人id
        'apply_name'       =>'varchar',//申请人名称
        'managerid'       =>'int',//
        'manager'       =>'varchar',//
        'companyNo'       =>'varchar',//业务公司
        'companyName'       =>'varchar',//业务公司名称
        'customerNo'       =>'varchar',//客户公司
        'customerName'       =>'varchar',//客户公司名称
        'supplierNo'       =>'varchar',//供应商
        'supplierName'       =>'varchar',//供应商名称
        'platform_name'       =>'varchar',//平台名称
        'platform_id'       =>'int',//平台id
        'cat_id'       =>'int',//分类id
        'good_name'       =>'varchar',//商品名称
        'good_unit'       =>'varchar',//商品单位
        'good_tax'       =>'decimal',//商品税率
        'good_num'       =>'int',//商品数量
        'sale_price'       =>'decimal',//销售价
        'cgd_price'       =>'decimal',//采购价
        'cgd_tax'       =>'decimal',//采购毛利率
        'sale_total'       =>'decimal',//销售总额
        'cgd_total'       =>'decimal',//采购总额
        'contactor'       =>'varchar',//联系人
        'mobile'       =>'varchar',//手机号
        'addr'       =>'varchar',//地址
        'sendtime'       =>'datetime',//发货时间
        'poCode'       =>'varchar',//业务po编号
        'workCode'       =>'varchar',//单据好
        'remark'       =>'varchar',//转单备注
        'status'       =>'tinyint',//状态 1暂存 2已提交申请待转单 3已转单 4取消暂存订单
        'orderCode'       =>'varchar',//销售单号
        'cgdCode'       =>'varchar',//采购单号
        'is_del'       =>'tinyint',//
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//

    ];
}