<?php
namespace app\admin\model;

class OrderImportFromC extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'int',//主键
        'platform_code'       =>'varchar',//平台订单号
        'platform_id'       =>'int',//平台ID
        'po_code'       =>'varchar',//其他单号
        'platform_time'       =>'varchar',//平台下单时间
        'sale_source'       =>'varchar',//销售渠道
        'plat_code'       =>'varchar',//平台商品编号
        'price'       =>'decimal',//单价
        'num'       =>'int',//数量
        'before_discount_all_price'       =>'decimal',//总金额
        'discount_price'       =>'decimal',//优惠金额(删除)
        'after_price'       =>'decimal',//商品优惠后金额(删除)
        'activity_name'       =>'varchar',//优惠活动名称
        'mode'       =>'varchar',//收费模式
        'order_remark'       =>'varchar',//订单备注
        'contactor'       =>'varchar',//收货人
        'mobile'       =>'varchar',//联系电话
        'addr'       =>'varchar',//联系地址
        'orderCode'       =>'varchar',//确认单编号(录入成功后才会生成)
        'createrid'       =>'int',//创建人id
        'creater'       =>'varchar',//创建人
        'updateid'       =>'int',//修改人id
        'updater'       =>'varchar',//修改人
        'is_del'       =>'tinyint',//是否删除：0未删除，1删除
        'status'       =>'tinyint',//状态：1待验证(系统验证数据中),2待确认订单信息,3待处理(待扣减库存),4库存不足,5订单录入成功
        'remark'       =>'varchar',//备注
        'addtime'       =>'datetime',//创建时间(导入时间)
        'updatetime'       =>'datetime',//修改时间

    ];
}