<?php
namespace app\admin\model;

class OrderImportFromCExtend extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'int',//主键
        'order_import_from_c_id'       =>'int',//C端订单导入表id
        'platform_code'       =>'varchar',//平台订单号
        'po_code'       =>'varchar',//其他单号
        'platform_time'       =>'varchar',//平台下单时间
        'sale_source'       =>'varchar',//销售渠道
        'plat_code'       =>'varchar',//平台商品编号
        'price'       =>'decimal',//单价
        'num'       =>'int',//数量
        'before_discount_all_price'       =>'decimal',//优惠前总金额
        'activity_name'       =>'varchar',//优惠活动名称
        'mode'       =>'varchar',//收费模式
        'order_remark'       =>'varchar',//订单备注
        'contactor'       =>'varchar',//收货人
        'mobile'       =>'varchar',//联系电话
        'addr'       =>'varchar',//联系地址
        'skuCode'       =>'varchar',//商品skuCode
        'companyNo'       =>'varchar',//业务公司编码business
        'customer_code'       =>'varchar',//企业客户信息
        'supplierNo'       =>'varchar',//供应商编码,supp
        'platform_id'       =>'int',//平台id
        'good_name'       =>'varchar',//商品名称
        'discount_reason'       =>'varchar',//优惠原因
        'addr_code'       =>'varchar',//联系地址省市区编码
        'activity_code'       =>'varchar',//活动code
        'type'       =>'tinyint',//数据来源:1系统解析,2用户确认
        'is_del'       =>'tinyint',//是否删除：0未删除，1删除
        'remark'       =>'varchar',//备注
        'addtime'       =>'datetime',//创建时间
        'createrid'       =>'int',//创建人id
        'creater'       =>'varchar',//创建人

    ];
}