<?php
namespace app\admin\model;

class OrderMsg extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'content'       =>'varchar',//消息内容
        'orderCode'       =>'varchar',//业务编号
        'order_type'       =>'varchar',//业务类型
        'order_status'       =>'tinyint',//业务状态，关联action_process
        'order_id'       =>'int',//业务ID(各种单子的id,不一定是订单ID)
        'apply_id'       =>'int',//申请人ID
        'apply_name'       =>'varchar',//申请人
        'action_id'       =>'int',//操作人
        'action_name'       =>'varchar',//操作人
        'uid'       =>'varchar',//各个所有人的用户ID，多个以,分割
        'uname'       =>'varchar',//所有人名称，多个以,分割
        'is_read'       =>'tinyint',//0未读,1已读
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//

    ];
}