<?php
namespace app\admin\model;

class OrderOut extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'orderCode'       =>'varchar',//订单号
        'outCode'       =>'varchar',//出库单号
        'apply_id'       =>'bigint',//申请人id
        'apply_name'       =>'varchar',//申请人名称
        'addrid'       =>'bigint',//订单下地址id
        'post_name'       =>'varchar',//物流公司
        'post_code'       =>'varchar',//物流单号
        'post_fee'       =>'decimal',//物流费
        'post_status'       =>'tinyint',//快递情况 0 未加入物流查询1加入物流查询 2 异常物流
        'sendtime'       =>'datetime',//发货时间
        'send_num'       =>'int',//发货数量
        'check_num'       =>'int',//验收数量
        'error_num'       =>'int',//异常数量
        'wsm_code'       =>'varchar',//仓库code
        'order_type'       =>'int',//订单类别1销售2咨询
        'send_status'       =>'tinyint',//订单状态:0不可拆单,1可拆单,2已拆单未发货,3部分发货,4全部发货,5已收货,6已退货
        'status'       =>'tinyint',//出库单状态:0待发货(待采购备货),1待库管发货,2已发货待收货,3已收货,4已全部退货,5已取消
        'is_del'       =>'tinyint',//
        'addtime'       =>'datetime',//新建
        'updatetime'       =>'datetime',//
        'remark'       =>'varchar',//备注
        'send_uid'       =>'int',//
        'send_uname'       =>'varchar',//

    ];
}