<?php
namespace app\admin\model;

class OrderReturnPrepare extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'returnCode'       =>'varchar',//售后申请单号
        'outChildCode'       =>'varchar',//发货工单号
        'order_out_child_status'       =>'tinyint',//提退货时发货工单的状态
        'return_num'       =>'int',//退货数量
        'return_wsm_code'       =>'varchar',//退货仓库编码
        'apply_id'       =>'int',//申请人id
        'apply_name'       =>'varchar',//申请人名称
        'is_del'       =>'tinyint',//是否删除,0未删除,1已删除
        'status'       =>'tinyint',//状态,1待仓管收货,2已取消,3售后已完成
        'remark'       =>'varchar',//备注
        'addtime'       =>'datetime',//创建时间
        'updatetime'       =>'datetime',//更新时间

    ];
}