<?php
namespace app\admin\model;

class Process extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'process_name'       =>'varchar',//流程名称
        'process_type'       =>'varchar',//流程编码
        'api_url'       =>'varchar',//对应接口地址，例如admin/xxx
        'is_del'       =>'tinyint',//是否删除,0未删除,1删除
        'status'       =>'tinyint',//状态,1启用,0禁用
        'createrid'       =>'int',//创建人id
        'creater'       =>'varchar',//创建人
        'addtime'       =>'datetime',//创建时间
        'updaterid'       =>'int',//修改人id
        'updater'       =>'varchar',//修改人
        'updatetime'       =>'datetime',//修改时间
        'remark'       =>'varchar',//备注
        'weight'       =>'int',//权重，值越大排序越向上

    ];
}