<?php
namespace app\admin\model;

class ResignInfo extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'resign_uid'       =>'bigint',//离职人id
        'resign_name'       =>'varchar',//离职人名称
        'resign_date'       =>'date',//离职日期
        'expire_date'       =>'datetime',//生效时间
        'is_hand'       =>'tinyint',//是否交接
        'hand_uid'       =>'bigint',//交接人id
        'hand_name'       =>'varchar',//交接人名称
        'remark'       =>'varchar',//备注
        'apply_name'       =>'varchar',//
        'apply_id'       =>'int',//
        'companyNo'       =>'varchar',//所属公司(字段废弃)
        'status'       =>'int',//状态:0待交接,1待审核,2驳回,3系统处理,4离职完成
        'is_del'       =>'tinyint',//
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
        'resign_depart'       =>'varchar',//离职人部门
        'hand_depart'       =>'varchar',//交接人部门
        'resign_depart_uid'       =>'varchar',//离职部门id
        'hand_depart_uid'       =>'varchar',//交接部门id
    ];
    protected $createTime = 'addtime';
    protected $updateTime = 'updatetime';
}