<?php
namespace app\admin\model;

class SaleReturnChild extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'orderCode'       =>'varchar',//销售单编号
        'returnCode'       =>'varchar',//退货单号
        'outCode'       =>'varchar',//发货单号
        'outChildCode'       =>'varchar',//发货工单号
        'order_out_child_status'       =>'tinyint',//提退货时发货工单的状态
        'saleReturnChildCode'       =>'varchar',//退货工单编号
        'type'       =>'tinyint',//工单退货类型:1未发货退货,2售后退货
        'companyNo'       =>'varchar',//业务企业编号
        'companyName'       =>'varchar',//业务公司名称
        'customer_code'       =>'varchar',//客户code
        'customerName'       =>'varchar',//客户名称
        'num'       =>'int',//下单数量
        'sale_price'       =>'decimal',//销售价
        'total_price'       =>'decimal',//总价
        'addtime'       =>'datetime',//创建时间
        'updatetime'       =>'datetime',//更新时间
        'record'       =>'text',//标记
        'send_wsm_code'       =>'varchar',//发货仓库编码
        'send_num'       =>'int',//发货数量
        'return_num'       =>'int',//退货数量
        'return_wsm_code'       =>'varchar',//退货仓库编码
        'good_receive_type'       =>'tinyint',//货物情况:0未收货,1库房未发货无需追回,2库房已发货已全部追回,3库房已发货已无法追回,4库房已发货已部分追回
        'loss_num'       =>'int',//丢失数量
        'remark'       =>'varchar',//备注
        'status'       =>'tinyint',//状态:1待收货,2已收货
        'is_del'       =>'tinyint',//是否删除,0未删除,1已删除
        'apply_id'       =>'int',//申请人id
        'apply_name'       =>'varchar',//申请人名称

    ];
}