<?php
namespace app\admin\model;

class Supplier extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'name'       =>'varchar',//数据标题
        'code'       =>'varchar',//单据号
        'creater'       =>'varchar',//创建人
        'createrid'       =>'int',//创建人id
        'person'       =>'varchar',//负责人
        'personid'       =>'int',//负责人id
        'source'       =>'varchar',//供应商来源
        'type'       =>'varchar',//申请类型
        'nature'       =>'varchar',//公司类型
        'legaler'       =>'varchar',//法人
        'registertime'       =>'varchar',//成立时间
        'registercode'       =>'varchar',//注册的编号
        'capital'       =>'varchar',//注册资本（万元）
        'supplier_type'       =>'varchar',//供应商性质
        'category'       =>'varchar',//所属类别
        'level'       =>'varchar',//供应商级别
        'product_category'       =>'mediumtext',//主要合作产品
        'pay_type'       =>'varchar',//付款方式
        'ticket_type'       =>'varchar',//回票方式
        'is_payment'       =>'varchar',//有无账期
        'delivery_way'       =>'varchar',//提供物流方式
        'notice_mark'       =>'mediumtext',//备注说明
        'agreement'       =>'varchar',//框架协议编号
        'coop_state'       =>'varchar',//合作状态
        'warehouse'       =>'varchar',//提货地
        'addr'       =>'varchar',//详细地址
        'pay_day'       =>'varchar',//结账期
        'scope'       =>'mediumtext',//13经营范围
        'prove_img'       =>'varchar',//资质证明
        'license_img'       =>'varchar',//营业执照
        'status'       =>'int',//使用状态
        'ocr_status'       =>'tinyint',//识别状态
        'is_platform'       =>'tinyint',//是否是平台公司
        'remark'       =>'varchar',//
        'is_del'       =>'int',//
        'addtime'       =>'datetime',//创建时间
        'updatetime'       =>'datetime',//修改时间

    ];
}