<?php
namespace app\admin\model;

class SupplierInfo extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'name'       =>'varchar',//供货商公司名称
        'code'       =>'varchar',//供应商编码
        'source'       =>'varchar',//来源
        'contector'       =>'varchar',//联系人业务员
        'post'       =>'varchar',//职务
        'type'       =>'varchar',//申请类型 1正式供应商 2临时 3 企业
        'nature'       =>'varchar',//性质
        'corporation'       =>'varchar',//法人
        'registertime'       =>'varchar',//注册时间
        'capital'       =>'varchar',//注册资本
        'supplier_type'       =>'varchar',//供应商类型 厂家 代理商
        'pay_method'       =>'varchar',//付款方式
        'paydays'       =>'varchar',//结账期
        'mobile'       =>'varchar',//联系方式
        'address'       =>'varchar',//地址
        'return_ticket'       =>'varchar',//回票方式
        'delivery'       =>'varchar',//发货方式
        'status'       =>'varchar',//使用状态
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
        'registercode'       =>'varchar',//注册的编号
        'level'       =>'varchar',//供应商级别
        'product_category'       =>'mediumtext',//主要合作产品
        'license_img'       =>'varchar',//营业执照

    ];
}