<?php
namespace app\admin\model;

class ThStock extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'thCode'       =>'varchar',//退货编号
        'th_type'       =>'tinyint',//1售前退货 2售后退货
        'order_type'       =>'tinyint',//
        'supplierNo'       =>'varchar',//供应商
        'supplierName'       =>'varchar',//gys
        'companyNo'       =>'varchar',//业务公司
        'companyName'       =>'varchar',//业务公司名称
        'customerNo'       =>'varchar',//客户公司
        'customerName'       =>'varchar',//客户名称
        'th_num'       =>'int',//退货数量
        'th_sale_price'       =>'decimal',//销售单价
        'th_cgd_price'       =>'decimal',//采购单价
        'good_code'       =>'varchar',//商品编号
        'good_name'       =>'varchar',//商品名称
        'cgdCode'       =>'varchar',//退货采购单
        'orderCode'       =>'varchar',//退货订单
        'rela_cgdNo'       =>'varchar',//关联采购单
        'apply_id'       =>'int',//退后申请人
        'apply_name'       =>'varchar',//退回申请人
        'status'       =>'tinyint',//状态 1 待关联采购单 2 已关联 3 取消关联 
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//

    ];
}