<?php
namespace app\bug\model;

use think\model\concern\SoftDelete;
class WorkTemplate extends Base
{
//设置字段信息
	use SoftDelete;
    protected $schema = [
        'id'       =>'int',//
        'work_id'       =>'int',//岗位id
        'action'       =>'text',//权限集合
        'apply_id'       =>'int',//创建人
        'apply_name'       =>'varchar',//创建人
        'createTime'       =>'datetime',//
        'updateTime'       =>'datetime',//
        'delete_time'       =>'datetime',//

];
    protected $updateTime='updateTime';
    protected $createTime='createTime';
    protected $deleteTime = 'delete_time';
    
   public function GetActionAttr($v){
    	return json_decode($v,true);
    }
    public function SetActionAttr($v){
        	return json_encode($v,JSON_UNESCAPED_UNICODE);
    }
     public function WorkInfo(){
   	    return $this->belongsTo(Work::class,"work_id");
     }
}