<?php
declare (strict_types = 1);

namespace app\cxinv\controller;

use app\common\Ocr;use think\Request;

class Index
{
    /**
     * 显示资源列表
     *
     * @return \think\Response
     */
    public function index()
    {
        $param=request()->param();
        $ocr= Ocr::getInstance();
        $code=$param['code'];
        $number=$param['number'];
        $issueDate=$param['issueDate'];
        $checkCode=$param['checkCode'];
        $subtotalAmount=$param['subtotalAmount'];

        $data=$ocr->InvoiceVerification($code,$number,$issueDate,$checkCode,$subtotalAmount);

      return  json($data);

    }

    /**
     * 显示创建资源表单页.
     *
     * @return \think\Response
     */
    public function create()
    {
        //
    }

    /**
     * 保存新建的资源
     *
     * @param  \think\Request  $request
     * @return \think\Response
     */
    public function save(Request $request)
    {
        //
    }

    /**
     * 显示指定的资源
     *
     * @param  int  $id
     * @return \think\Response
     */
    public function read($id)
    {
        //
    }

    /**
     * 显示编辑资源表单页.
     *
     * @param  int  $id
     * @return \think\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * 保存更新的资源
     *
     * @param  \think\Request  $request
     * @param  int  $id
     * @return \think\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * 删除指定资源
     *
     * @param  int  $id
     * @return \think\Response
     */
    public function delete($id)
    {
        //
    }
}
