<?php
declare (strict_types = 1);

namespace app\cxinv\listener;

class ReportCode
{
    protected $model;
    /**
     * 事件监听处理
     *
     * @return mixed
     */
    public function handle($event)
    {
        $this->model = new \app\cxinv\model\ReportCode();
        if($event['type']=='add'){

            $this->addField($event);
        }
        if ($event['type']=='sub'){
            $this->subField($event);
        }
    }

    private function subField($param){
        if(is_string($param['value'])){
            $this->model->whereFindInSet($param['key'],$param['value'])->select()->each(function($item)use($param){
                $item->rmField($param['key'],$item[$param['key']]);
            });
        }
        if(is_array($param['value'])){
           foreach ($param['value'] as $v){
              $this->model->whereFindInSet($param['key'],$v)->select()->each(function($item)use($param){
                              $item->rmField($param['key'],$item[$param['key']]);
                          });
           }
        }
    }

    private function addField($param){
        $info= $this->model->where([$param['main']['key']=>$param['main']['value']])->find()->setField($param['key'],$param['value']);
        $this->model->save();
    }
}
