<?php
namespace app\cxinv\model;

class ComonOrder extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'int',//
        'tyCode'  =>'varchar',//通用订单号
        'cxCode'  =>'varchar',//原订单号
        'orderCode'  =>'varchar',//销售单号
        'apply_id'  =>'int',//销售员
        'apply_name'  =>'varchar',//销售员
        'platform_type'  =>'tinyint',//平台类型0未设置 1 toB 2 Toc
        'cgdNo'  =>'varchar',//采购单号
        'goodNo'  =>'varchar',//商品编号
        'goodName'  =>'varchar',//商品名成
        'order_type'  =>'tinyint',//1'库存商品',2'非库存商品',3'咨询商品',4'报备商品'
        'order_source'  =>'tinyint',//1'直接下单',2'咨询',3'项目',4'平台',5'有赞',6'售后补换货',7'报备转单',8 '支付渠道',9'采销录单',10'结算录单',11'业务报备单'
        'customerName'  =>'varchar',//客户名称
        'customerNo'  =>'varchar',//客户名称
        'supplierNo'  =>'varchar',//供应商名称
        'supplierName'  =>'varchar',//供应商名称
        'companyNo'  =>'varchar',//业务公司名称
        'companyName'  =>'varchar',//业务公司名称
        'status'  =>'tinyint',//对账状态 0 未对账 1对账中 2 已对账
        'addtime'  =>'datetime',//
        'updatetime'  =>'datetime',//
       ];
}