<?php


namespace app\cxinv\model;


use think\Model;use think\model\concern\SoftDelete;
class Invoice extends Base{
    use SoftDelete;
    protected $createTime="createTime";
    protected $updateTime="updateTime";
    protected $deleteTime="delete_time";

    public static $invoiceType=[
		            "special"=>"增值税专用发票",
		             "normal"=>"增值税普通发票",
		             "roll"=>"增值税普通发票（卷式）",
		             "special_electronic"=>"增值税电子专用发票",
		             "electronic"=>"增值税电子普通发票",
		             "blockchain_electronic"=>"区块链电子发票",
		             "toll"=>"增值税电子普通发票（通行费）",
		             "fully_digitalized_special_electronic"=>"全电专用发票",
		             "fully_digitalized_normal_electronic"=>"全电普通发票",
                    ];
      public static $invStatus=[0=>'待验证','1'=>'正常','2'=>'已作废','3'=>'已红冲'];
    //0待验证 1待关联订单 2订单部分关联 3订单完全关联
    public function Items(){
        return $this->hasMany(InvoiceItem::class,'invoiceCode','InvCode');
    }

}