<?php
namespace app\cxinv\model;

class InvoiceGood extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'invNo'  =>'varchar',//开票编号
        'orderCode'  =>'varchar',//订单编号
        'invtype'  =>'tinyint',//发票商品性质 0 正常行，1 折扣行，2 被折扣行，6 清 单红字发票
        'goodNo'  =>'varchar',//商品编号
        'goodName'  =>'varchar',//商品名称
        'catName'  =>'varchar',//分类名称
        'catNo'  =>'varchar',//分类编号
        'goodPrice'  =>'double',//商品单价
        'unitName'  =>'varchar',//单位名称
        'goodNum'  =>'decimal',//单位数量
        'specInfo'  =>'varchar',//规格
        'totalPrice'  =>'decimal',//总金额
        'tax'  =>'decimal',//税率
        'taxPrice'  =>'decimal',//税额
        'totalTax'  =>'decimal',//不含税金额
        'addTax'  =>'varchar',//增值税管理内容
        'is_discount'  =>'tinyint',//是否优惠政策
        'inv_tag'  =>'tinyint',//税率标识
        'is_del'  =>'tinyint',//是否删除
        'addtime'  =>'datetime',//新建时间
        'updatetime'  =>'datetime',//更新时间
       ];
}