<?php
namespace app\cxinv\model;

class InvoiceRed extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'invNo'  =>'varchar',//发票编号
        'invRed'  =>'varchar',//红票编号
        'inv_out'  =>'varchar',//发票开票方编号s
        'returnCode'  =>'varchar',//退票编号
        'SQBSCQQLSH'  =>'varchar',//流水号
        'SQBSCQQPCH'  =>'varchar',//批次号
        'FPLXDM'  =>'varchar',//发票类型代码
        'YYSBZ'  =>'varchar',//营业税标志
        'XXBLX'  =>'varchar',//信息表类型
        'YFPDM'  =>'varchar',//原发票代码
        'YFPHM'  =>'varchar',//原发票号码
        'YFPKPRQ'  =>'varchar',//原发票开票日 期
        'TKSJ'  =>'varchar',//填开时间
        'XHFSBH'  =>'varchar',//销货方纳税人 识别号
        'XHFMC'  =>'varchar',//销货方纳税人 名称
        'GMFSBH'  =>'varchar',//购买方纳税人 识别号
        'GMFMC'  =>'varchar',//购买方纳税人 名称
        'HJJE'  =>'varchar',//合计金额(不含 税)
        'HJSE'  =>'varchar',//合计税额
        'SQSM'  =>'varchar',//申请说明
        'XXBTSBS'  =>'varchar',//信息表特殊标 识
        'DDMXXX'  =>'text',//商品明细表
        'XXBBH'  =>'varchar',//信息表编号
        'red_reason'  =>'tinyint',//红冲原因 冲红原因, 冲红原因示例： 1-销货退回 2-开票有误 3-服务中止 4-销售折让
        'status'  =>'tinyint',//红冲申请状态 0待提交申请 1 申请中 2 待开红冲 3 红冲开票提交 4 开票成功 5 提交申请失败 6 申请成功开票失败7 取消申请
        'apply_name'  =>'varchar',//申请人名称
        'apply_id'  =>'int',//申请人id
        'is_del'  =>'tinyint',//是否删除
        'remark'  =>'varchar',//备注，失败备注
        'addtime'  =>'datetime',//
        'updatetime'  =>'datetime',//
       ];
}