<?php
namespace app\cxinv\model;

class InvoiceReturn extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'returnCode'  =>'varchar',//退票申请编号
        'invNo'  =>'varchar',//发票申请
        'return_reason'  =>'varchar',//退票原因 退货红冲原因1-销货退回 2-开票有误 3-服务中止 4-销售折让
        'return_type'  =>'tinyint',//退票方式 1 金税 2线下
        'remark'  =>'varchar',//退票备注
        'reason'  =>'varchar',//退票原因
        'status'  =>'tinyint',//退票状态 0 待财务审核  1待退票 2 退票完成  3审核驳回 4退票失败
        'red_inv'  =>'varchar',//红冲发票信息
        'is_out_month'  =>'tinyint',//0 未跨月 1 跨月
        'discard'  =>'tinyint',//废弃发票验证字段 1已废弃 2待验证 0 默认值不处理
        'red_desc'  =>'varchar',//红冲说明 1100000000 已抵扣  1010000000未抵扣 0000000100尚未寄出
        'apply_id'  =>'int',//申请人
        'apply_name'  =>'varchar',//申请人名称
        'addtime'  =>'datetime',//
        'updatetime'  =>'datetime',//
       ];
}