<?php
namespace app\cxinv\model;

class InvoiceTicket extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'invNo'  =>'varchar',//发票编号
        'type'  =>'tinyint',//发票种类 红蓝票 0 蓝票1红票
        'inv_type'  =>'varchar',//发票类型
        'inv_code'  =>'varchar',//发票编码
        'inv_number'  =>'varchar',//发票号码
        'inv_total'  =>'decimal',//发票额度
        'inv_subtotal'  =>'decimal',//税前额度
        'open_date'  =>'datetime',//发票开票时间
        'seller_id'  =>'varchar',//销售方纳税识别号
        'seller_title'  =>'varchar',//销售方title
        'seller_addr'  =>'varchar',//销售方地址及电话
        'seller_mobile'  =>'varchar',//销售方电话
        'seller_bank'  =>'varchar',//销售方开户行及帐户
        'seller_bankNo'  =>'varchar',//销售方账户
        'buyer_id'  =>'varchar',//消费方纳税识别号
        'buyer_title'  =>'varchar',//消费方抬头
        'buyer_addr'  =>'varchar',//消费方地址及联系电话
        'buyer_mobile'  =>'varchar',//消费方联系电话
        'buyer_bank'  =>'varchar',//消费方开户行及账户
        'buyer_bankNo'  =>'varchar',//消费开户行账户
        'tax_fee'  =>'varchar',//税额
        'remark'  =>'varchar',//备注
        'issuer'  =>'varchar',//开票人
        'reciver'  =>'varchar',//收款人
        'reviewer'  =>'varchar',//复核人
        'check_code'  =>'varchar',//校验码
        'item'  =>'text',//商品清单
        'status'  =>'int',//0 待验证 1正常 2已作废 3已红冲
        'pdfstream'  =>'text',//电子票文件流
        'is_del'  =>'tinyint',//
        'addtime'  =>'datetime',//
        'updatetime'  =>'datetime',//
       ];
}