<?php


namespace app\user\controller;


use app\BaseController;
use app\common\Ocr;
use think\App;
use think\Exception;
class Base extends BaseController{
	protected  $uid=0;
	protected  $uname='system';
	protected  $level=0;
	protected  $noLogin=[];
	protected  $token='';
	protected  $model=null;
	protected  $keepTime=3600;
	public function __construct(App $app) {
		parent::__construct($app);
			$this->token = $this->request->param('token','','trim');
	    if (!action_in_arr($this->noLogin)){
	    	if($this->token=='')throw new \Exception("token不能为空",101);
	        $this->Auth();
	    }
	}
   /**授权token鉴定
	* @return \think\response\Json|void
	 */
   public function Auth(){
   	  $User = \app\common\User::instance();
   	  $User->init($this->token);
   	  if (!$User->isLogin()) throw new \Exception($User->getError(),$User->getErroCode());
   	  $this->uid = $User->id;
   	  $this->uname = $User->nickname;
   	  $this->level = $User->level;
   }


   public function GetBusinessInfoByParam($url='',$image=''){
          if ($url=="" && $image=="") throw new \Exception("营业执照识别必须上传图片或存在链接");
          $ocr= Ocr::getInstance();
          $result= $ocr::businessLicense($url,$image);
          return $result;
   }
}