<?php
namespace app\user\model;

class Business extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'int',//
        'company'       =>'varchar',//公司名称
        'companyNo'       =>'varchar',//公司编码
        'inv_code'       =>'varchar',//纳税识别号
        'company_type'       =>'varchar',//公司类型
        "legaler_type"=>"int",
        'type'       =>'int',//公司类型
        'creater'       =>'varchar',//创建人
        'createrid'       =>'int',//创建人id
        'inv_legaler'       =>'varchar',//法人
        'inv_time'       =>'varchar',//注册日期
        'inv_addr'       =>'varchar',//注册地址
        'inv_bank'       =>'varchar',//银行
        'inv_bankNo'       =>'varchar',//银行账户
        'contactor'       =>'varchar',//联系人
        'mobile'       =>'varchar',//联系电话
        'addr'       =>'varchar',//联系地址
        'inv_scope'       =>'mediumtext',//经营范围
        'license_img'       =>'varchar',//营业执照
        'invoice_title'       =>'varchar',//公司抬头
        'invoice_mobile'       =>'varchar',//联系方式(开票时使用，非联系人的联系方式)
        'status'       =>'int',//
        'is_del'       =>'tinyint',//
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//

    ];
    protected $updateTime='updatetime';
    protected $createTime='addtime';
}