<?php
declare (strict_types = 1);

namespace app\youzan\listener;

use app\common\facade\Youzan;use app\youzan\model\Promocode;
class Voucher
{
    /**
     * 事件监听处理
     *
     * @return mixed
     */
    public function handle($event)
    {
        if(!empty($event)){
              $data = Youzan::getData('coupon_search',$event,'1.0.1');
            if ($data['code'] != '200') throw new \Exception($data['message']);
              if (!empty($data['data']))array_map(function ($item){
                $temp=array_merge($item['activity'],$item['activity_budget']);
                $temp['time_line_status']= $item['time_line_status'];
                $temp['activity_display_type']= $item['activity_display_type'];
                $promocode = Promocode::where('id', $item['activity']['id'])->findOrEmpty();
                if($promocode->isEmpty())  Promocode::create($temp);
                else $promocode->save($temp);
            }, $data['data']);
        }
    }
}
