<?php
namespace app\youzan\model;

class OrderPay extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'int',//
        'tid'  =>'varchar',//有赞订单号
        'real_payment'  =>'decimal',//订单整单实付价格 单位：元
        'total_fee'  =>'decimal',//商品总价，单位元
        'payment'  =>'decimal',//订单整单应付金额，单位：元
        'transaction'  =>'text',//支付流水号
        'post_fee'  =>'decimal',//邮费，单位元
        'deduction_pay'  =>'decimal',//礼品卡/储值卡具体抵扣的金额，单位：分
        'deduction_real_pay'  =>'decimal',//礼品卡/储值卡抵扣之后的订单实付金额 单位：分
        'phase_payments'  =>'text',//多阶段支付信息
        'pay_type'  =>'int',//支付类型 0未支付(默认值),1微信自有支付,2支付宝wap,3支付宝wap,5财付通,7代付,8联动优势,9货到付款,10大账号代销,11受理模式,12百付宝,13sdk支付,14合并付货款,15赠品,16优惠兑换,17自动付货款,18爱学贷,19微信wap,20微信红包支付,21返利,22ump红包,24易宝支付,25储值卡,27qq支付,28有赞E卡支付,29微信条码,30支付宝条码,33礼品卡支付,35会员余额,36信用卡银联支付,37储蓄卡银联支付,40分期支付,72微信扫码二维码支付,80待结算&余额支付,90礼品卡支付,100代收账户,300储值账户,400保证金账户,101收款码,102微信,103支付宝,104刷卡,105二维码台卡,106储值卡,107有赞E卡,110标记收款-自有微信支付,111标记收款-自有支付宝,112标记收款-自有POS刷卡,113通联刷卡支付,114标记收款-自定义,115有赞零钱支付,200记账账户,201现金,202组合支付,203外部支付
        'addtime'  =>'datetime',//创建时间
       ];
}