<?php
namespace app\youzan\model;

class Promocode extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',// 活动id
        'kdt_id'  =>'bigint',// 商铺id
        'activity_type'  =>'bigint',//优惠凭证活动类型7：优惠券9：共享码10：唯一码11：社区团购券
        'alias'  =>'varchar',//
        'description'  =>'varchar',//活动描述
        'title'  =>'varchar',//活动名称
        'remark'  =>'varchar',//活动备注
        'start_time'  =>'datetime',//
        'end_time'  =>'datetime',//
        'created_at'  =>'datetime',//创建时间
        'status'  =>'tinyint',//活动状态，0：有效，1：已失效或审核失败，2：审核中
        'is_deleted'  =>'tinyint',//是否已删除
        "taken_qty"=>"int", //已领取数量
        "budget_send_total_qty"=>"int",//预算发放总量
        "used_qty"=>'int',//已核销数量
        "send_stock_qty"=>'int',//发放库存
        "budget_use_total_qty"=>"int",//预算核销总量
        "use_stock_qty"=>"int",//核销库存
        "time_line_status"=>"int",//活动时间线状态1-未开始2-进行中3-已结束4-未结束(未开始和进行中)
        "activity_display_type"=>"int"//活动展示类型1:满减券2:折扣券3:随机金额券4:商品兑换券5:社区团购券6:通用码7:一卡一码
       ];
    public static  $status_cn = [0=>'有效',1=>'无效',2=>'审核中'];
    public static  $activity_type_cn = [7=>'优惠券',9=>'共享码',10=>'唯一码',11=>'社区团购券'];
    public static $display_type_cn = [1=>'满减券',2=>"折扣券",3=>"随机金额券",4=>"商品兑换券",5=>"社区团购券",6=>"通用码",7=>"一卡一码"];
    public static $time_line_status_cn = [1=>'未开始',2=>'进行中',3=>'已结束'];
}