<?php
namespace app\youzan\model;

class RefundOrder extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'kdt_id'  =>'varchar',//店铺ID
        'tid'  =>'varchar',//有赞订单号
        'oids'  =>'varchar',//交易明细id--暂时废弃
        'refund_id'  =>'varchar',//退款id--暂时废弃
        'refund_fee'  =>'decimal',//退款金额--暂时废弃
        'refund_reason'  =>'varchar',//退款原因--暂时废弃
        'refund_reason_desc'  =>'varchar',//退款原因描述--暂时废弃
        'refund_type'  =>'varchar',//--暂时废弃--退款类型,REFUND_ONLY 仅退款 REFUND_AND_RETURN 退货退款
        'close_type'  =>'tinyint',//关闭类型:0:未关闭;1:过期关闭;2:标记退款;3:订单取消;4:买家取消;5:卖家取消;6:部分退款;10:无法联系上买家;11:买家误拍或重拍了;12:买家无诚意完成交易;13:已通过银行线下汇款;14:已通过同城见面交易;15:已通过货到付款交易;16:已通过网上银行直接汇款;17:已经缺货无法交易;18:扣款失败;19:0元关单;20:社区团购活动结束未付款;21:0元抽奖订单未中一等奖;22:拒单退款；23:主播寄样申请被拒绝；27:规格/款式/数量拍错；28:无法正常支付；29:收货地址信息填写错误，30:商品缺货;31:我不想买了
        'close_reason'  =>'varchar',//关闭原因，refund, order closed! 订单退款关单； close by buyer, order canceled! 订单主动取消，针对未支付的时候，用户取消订单场景； order expired closed by task, order canceled! 超时未付款系统关单，针对超时未支付场景
        'update_time'  =>'datetime',//更新时间
        'addtime'  =>'datetime',//创建时间
       ];
}